// Creates 9 moving cars in the north of Sahrani of a FIXED type, with a driver of a random civilian type,
// The maximum amount of passengers placed
// sometimes together with a passsenger. The driver will drive randomly mostly at NORMAL, but sometimes at FULL speed.
// Seven vehicles drive a predetermined route, two vehicles drive a free, rather random, off-road route.
private ["_wp","_CV05","_CV07","_CV09","_CV11","_CV13","_CV15","_CV17","_CV19","_CV21","_numberOfTypes","_civillianTypes"];

activateAddons["cacharacter","CAWheeled"];

// Civilian types that will be the driver and randomly fill the cars as passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
_numberOfTypes = 21;

// Creation of a gamelogic vehicle necessary for the horn to work.
civhorn = "logic" createVehicleLocal [0,0,0];

_CV05 = createGroup Civilian;
CV05_1 = "Landrover_Police" createVehicle [14472.753906,12521.166992,39.959999];
CV05_1 setDir 180.000000;
clearMagazineCargo CV05_1;
"OfficerG" createUnit [[0,0,30],_CV05,"CV05_2 = this; this moveInDriver CV05_1",0.9,"corporal"];
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_3 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_4 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_5 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_6 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_7 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV05,"CV05_8 = this; this moveInCargo [CV05_1,ceil(random(6))]",0.9,"private"];};
_wp = _CV05 addWaypoint [[13496.536133,8861.636719,19.980000],0];
[_CV05,1] setWaypointCombatmode "RED";
[_CV05,1] setWaypointSpeed "NORMAL";
[_CV05,1] setWaypointBehaviour "SAFE";
[_CV05,1] setWaypointStatements ["true", "this setFuel 1.0"];
_wp = _CV05 addWaypoint [[13190.916992, 8848.641602, 19.485001],0]; [_CV05, 2] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 2] setWaypointSpeed "NORMAL";} else {[_CV05, 2] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13190.395508, 8755.230469, 12.960000],0]; [_CV05, 3] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 3] setWaypointSpeed "NORMAL";} else {[_CV05, 3] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13598.669922, 8755.675781, 11.742832],0]; [_CV05, 4] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 4] setWaypointSpeed "NORMAL";} else {[_CV05, 4] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13622.793945, 8868.950195, 19.980000],0]; [_CV05, 5] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 5] setWaypointSpeed "NORMAL";} else {[_CV05, 5] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[14454.089844, 8511.841797, 25.829510],0]; [_CV05, 6] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 6] setWaypointSpeed "NORMAL";} else {[_CV05, 6] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13817.519531, 9469.622070, 27.178682],0]; [_CV05, 7] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 7] setWaypointSpeed "NORMAL";} else {[_CV05, 7] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13979.348633, 9841.164063, 26.585279],0]; [_CV05, 8] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 8] setWaypointSpeed "NORMAL";} else {[_CV05, 8] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13081.784180,11276.731445, 25.965000],0]; [_CV05, 9] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05, 9] setWaypointSpeed "NORMAL";} else {[_CV05, 9] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[10099.438477,14121.274414,106.899658],0]; [_CV05,10] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,10] setWaypointSpeed "NORMAL";} else {[_CV05,10] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[12396.701172,14494.728516,205.126404],0]; [_CV05,11] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,11] setWaypointSpeed "NORMAL";} else {[_CV05,11] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[12562.685547,13406.262695,178.133682],0]; [_CV05,12] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,12] setWaypointSpeed "NORMAL";} else {[_CV05,12] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13825.102539,13116.429688, 37.152546],0]; [_CV05,13] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,13] setWaypointSpeed "NORMAL";} else {[_CV05,13] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13982.890625,13168.269531, 37.331390],0]; [_CV05,14] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,14] setWaypointSpeed "NORMAL";} else {[_CV05,14] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[15399.634766,13743.069336, 22.209761],0]; [_CV05,15] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,15] setWaypointSpeed "NORMAL";} else {[_CV05,15] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[14603.459961,11862.106445, 55.804375],0]; [_CV05,16] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,16] setWaypointSpeed "NORMAL";} else {[_CV05,16] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[14409.041992,12256.757813, 57.202904],0]; [_CV05,17] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,17] setWaypointSpeed "NORMAL";} else {[_CV05,17] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[14310.420898,12508.029297, 39.960247],0]; [_CV05,18] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,18] setWaypointSpeed "NORMAL";} else {[_CV05,18] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[14472.100586,12508.042969, 39.959999],0]; [_CV05,19] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; civhorn action [""useWeapon"",CV05_1,driver(CV05_1),0]"]; if (random(10) < 8) then {[_CV05,19] setWaypointSpeed "NORMAL";} else {[_CV05,19] setWaypointSpeed "FULL";};
_wp = _CV05 addWaypoint [[13497.088867, 8862.093750, 19.980000],0]; [_CV05,20] setWaypointType "CYCLE"; [_CV05,20] setWaypointStatements ["true", "CV05_1 setFuel 1.0; CV05_1 setDammage 0.0; CV05_2 moveInDriver CV05_1"];


_CV07 = createGroup Civilian;
CV07_1 = "SkodaBlue" createVehicle [7738.498047,15862.077148,29.163103];
CV07_1 setDir 180.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV07,"CV07_2 = this; this moveInDriver CV07_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV07,"CV07_3 = this; this moveInCargo CV07_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV07,"CV07_4 = this; this moveInCargo CV07_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV07,"CV07_5 = this; this moveInCargo CV07_1",0.2,"private"];};
_wp = _CV07 addWaypoint [[7736.978027,15808.836914,23.358406],0];
[_CV07,1] setWaypointCombatmode "BLUE";
[_CV07,1] setWaypointSpeed "NORMAL";
[_CV07,1] setWaypointBehaviour "SAFE";
_wp = _CV07 addWaypoint [[10099.322266,14121.942383,106.847549],0]; [_CV07, 2] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 2] setWaypointSpeed "NORMAL";} else { [_CV07, 2] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[11576.464844,14247.658203,244.563126],0]; [_CV07, 3] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 3] setWaypointSpeed "NORMAL";} else { [_CV07, 3] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[11932.885742,15430.070313,153.000244],0]; [_CV07, 4] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 4] setWaypointSpeed "NORMAL";} else { [_CV07, 4] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[12236.980469,15462.301758,127.023270],0]; [_CV07, 5] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 5] setWaypointSpeed "NORMAL";} else { [_CV07, 5] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[12562.246094,13406.851563,178.126968],0]; [_CV07, 6] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 6] setWaypointSpeed "NORMAL";} else { [_CV07, 6] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13824.780273,13117.185547, 37.148415],0]; [_CV07, 7] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 7] setWaypointSpeed "NORMAL";} else { [_CV07, 7] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13982.861328,13169.028320, 37.329685],0]; [_CV07, 8] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 8] setWaypointSpeed "NORMAL";} else { [_CV07, 8] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[15399.940430,13743.777344, 22.197208],0]; [_CV07, 9] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07, 9] setWaypointSpeed "NORMAL";} else { [_CV07, 9] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[16962.464844,14106.761719, 13.619346],0]; [_CV07,10] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,10] setWaypointSpeed "NORMAL";} else { [_CV07,10] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17453.574219,13535.134766, 25.456615],0]; [_CV07,11] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,11] setWaypointSpeed "NORMAL";} else { [_CV07,11] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17189.560547,13580.056641, 40.443932],0]; [_CV07,12] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,12] setWaypointSpeed "NORMAL";} else { [_CV07,12] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17452.357422,13535.037109, 25.458155],0]; [_CV07,13] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,13] setWaypointSpeed "NORMAL";} else { [_CV07,13] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17710.218750,12402.758789, 65.084740],0]; [_CV07,14] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,14] setWaypointSpeed "NORMAL";} else { [_CV07,14] setWaypointSpeed "FULL";};
// Turn issue
_wp = _CV07 addWaypoint [[17709.982422,12392.049805, 65.295540],0]; [_CV07,15] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,15] setWaypointSpeed "NORMAL";} else { [_CV07,15] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17151.226563,13950.195313, 16.451544],0]; [_CV07,16] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,16] setWaypointSpeed "NORMAL";} else { [_CV07,16] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17266.015625,14234.738281, 13.455000],0]; [_CV07,17] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,17] setWaypointSpeed "NORMAL";} else { [_CV07,17] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17180.308594,14247.862305, 13.535787],0]; [_CV07,18] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,18] setWaypointSpeed "NORMAL";} else { [_CV07,18] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[17178.716797,14322.632813, 13.455249],0]; [_CV07,19] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,19] setWaypointSpeed "NORMAL";} else { [_CV07,19] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[16963.042969,14107.131836, 13.617155],0]; [_CV07,20] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,20] setWaypointSpeed "NORMAL";} else { [_CV07,20] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[15398.516602,13743.595703, 22.227667],0]; [_CV07,21] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,21] setWaypointSpeed "NORMAL";} else { [_CV07,21] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[15364.661133,12514.230469,103.251976],0]; [_CV07,22] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,22] setWaypointSpeed "NORMAL";} else { [_CV07,22] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14603.224609,11861.361328, 55.809849],0]; [_CV07,23] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,23] setWaypointSpeed "NORMAL";} else { [_CV07,23] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14192.611328,10210.112305, 41.874931],0]; [_CV07,24] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,24] setWaypointSpeed "NORMAL";} else { [_CV07,24] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13739.229492,10179.208008, 26.247131],0]; [_CV07,25] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,25] setWaypointSpeed "NORMAL";} else { [_CV07,25] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13978.658203, 9840.958008, 26.593552],0]; [_CV07,26] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,26] setWaypointSpeed "NORMAL";} else { [_CV07,26] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13816.284180, 9469.435547, 27.171019],0]; [_CV07,27] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,27] setWaypointSpeed "NORMAL";} else { [_CV07,27] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14290.499023, 9449.029297, 51.574013],0]; [_CV07,28] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,28] setWaypointSpeed "NORMAL";} else { [_CV07,28] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14394.722656, 9468.007813, 57.250519],0]; [_CV07,29] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,29] setWaypointSpeed "NORMAL";} else { [_CV07,29] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14394.863281, 9497.143555, 56.768246],0]; [_CV07,30] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,30] setWaypointSpeed "NORMAL";} else { [_CV07,30] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14598.142578, 9515.361328, 73.922829],0]; [_CV07,31] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,31] setWaypointSpeed "NORMAL";} else { [_CV07,31] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[15242.355469, 9888.025391, 57.574844],0]; [_CV07,32] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,32] setWaypointSpeed "NORMAL";} else { [_CV07,32] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[15593.958984, 8818.516602, 29.518431],0]; [_CV07,33] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,33] setWaypointSpeed "NORMAL";} else { [_CV07,33] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14454.726563, 8511.500977, 25.812971],0]; [_CV07,34] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,34] setWaypointSpeed "NORMAL";} else { [_CV07,34] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14520.835938, 9362.478516, 58.838207],0]; [_CV07,35] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,35] setWaypointSpeed "NORMAL";} else { [_CV07,35] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13816.857422, 9469.911133, 27.178631],0]; [_CV07,36] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,36] setWaypointSpeed "NORMAL";} else { [_CV07,36] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13978.480469, 9840.220703, 26.581829],0]; [_CV07,37] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,37] setWaypointSpeed "NORMAL";} else { [_CV07,37] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13357.504883,10915.342773, 24.990231],0]; [_CV07,38] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,38] setWaypointSpeed "NORMAL";} else { [_CV07,38] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14390.998047,10801.192383, 39.951801],0]; [_CV07,39] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,39] setWaypointSpeed "NORMAL";} else { [_CV07,39] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14543.195313,11051.248047, 46.621880],0]; [_CV07,40] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,40] setWaypointSpeed "NORMAL";} else { [_CV07,40] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14413.343750,11127.150391, 45.728714],0]; [_CV07,41] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,41] setWaypointSpeed "NORMAL";} else { [_CV07,41] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[14382.348633,11137.519531, 44.798531],0]; [_CV07,42] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,42] setWaypointSpeed "NORMAL";} else { [_CV07,42] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13822.481445,11517.449219, 35.164452],0]; [_CV07,43] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,43] setWaypointSpeed "NORMAL";} else { [_CV07,43] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13786.133789,11550.607422, 34.965000],0]; [_CV07,44] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,44] setWaypointSpeed "NORMAL";} else { [_CV07,44] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13758.386719,11523.276367, 34.965000],0]; [_CV07,45] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,45] setWaypointSpeed "NORMAL";} else { [_CV07,45] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13498.350586,11574.931641, 28.112200],0]; [_CV07,46] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,46] setWaypointSpeed "NORMAL";} else { [_CV07,46] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[13000.384766,11277.762695, 22.000105],0]; [_CV07,47] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,47] setWaypointSpeed "NORMAL";} else { [_CV07,47] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[10982.255859,12613.823242, 25.710669],0]; [_CV07,48] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,48] setWaypointSpeed "NORMAL";} else { [_CV07,48] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[10100.127930,14120.894531,107.027718],0]; [_CV07,49] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,49] setWaypointSpeed "NORMAL";} else { [_CV07,49] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[ 7738.456543,15809.216797, 23.433905],0]; [_CV07,50] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useWeapon"",CV07_1,driver(CV07_1),0]"]; if (random(10) < 8) then {[_CV07,50] setWaypointSpeed "NORMAL";} else { [_CV07,50] setWaypointSpeed "FULL";};
_wp = _CV07 addWaypoint [[ 7739.330566,15851.638672, 27.948391],0]; [_CV07,51] setWaypointType "CYCLE"; [_CV07,51] setWaypointStatements ["true", "CV07_1 setFuel 1.0; CV07_1 setDammage 0.0; civhorn action [""useW0]; [_CV07,51] setWeapon"",CV07_1,driver(CV07_1),0]; CV07_2 moveInDriver CV07_1"];

_CV09 = createGroup Civilian;
CV09_1 = "hilux1_civil_1_open" createVehicle [13636.483398,12663.295898,30.149551];
CV09_1 setDir 95.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV09,"CV09_2 = this; this moveInDriver CV09_1",0.9,"corporal"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV09,"CV09_3 = this; this moveInCargo CV09_1",0.2,"private"];};
_wp = _CV09 addWaypoint [[14473.639648,12508.189453,39.959999],0];
[_CV09,1] setWaypointCombatmode "BLUE";
[_CV09,1] setWaypointSpeed "NORMAL";
[_CV09,1] setWaypointBehaviour "SAFE";
_wp = _CV09 addWaypoint [[13491.469727, 8858.078125, 19.980000],0]; [_CV09, 2] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"]; if (random(10) < 8) then {[_CV09, 2] setWaypointSpeed "NORMAL";} else { [_CV09, 2] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[13318.880859, 8848.250977, 19.482887],0]; [_CV09, 3] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 3] setWaypointSpeed "NORMAL";} else { [_CV09, 3] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[12967.538086, 8848.140625, 19.671562],0]; [_CV09, 4] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 4] setWaypointSpeed "NORMAL";} else { [_CV09, 4] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[11609.403320, 6208.383789, 12.960000],0]; [_CV09, 5] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 5] setWaypointSpeed "NORMAL";} else { [_CV09, 5] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[10384.187500, 5262.154297, 18.716373],0]; [_CV09, 6] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 6] setWaypointSpeed "NORMAL";} else { [_CV09, 6] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[10362.198242, 5243.131348, 18.913584],0]; [_CV09, 7] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 7] setWaypointSpeed "NORMAL";} else { [_CV09, 7] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[ 9814.137695, 5329.232422, 26.350441],0]; [_CV09, 8] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 8] setWaypointSpeed "NORMAL";} else { [_CV09, 8] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[ 9448.506836, 6213.976074, 54.317574],0]; [_CV09, 9] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09, 9] setWaypointSpeed "NORMAL";} else { [_CV09, 9] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[ 9251.558594, 8223.012695,163.979996],0]; [_CV09,10] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,10] setWaypointSpeed "NORMAL";} else { [_CV09,10] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[ 8037.607910, 8893.461914,  9.528235],0]; [_CV09,11] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,11] setWaypointSpeed "NORMAL";} else { [_CV09,11] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[ 8498.510742, 9447.948242, 11.375051],0]; [_CV09,12] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,12] setWaypointSpeed "NORMAL";} else { [_CV09,12] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[10516.976563, 9640.760742,122.985001],0]; [_CV09,13] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,13] setWaypointSpeed "NORMAL";} else { [_CV09,13] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[10947.498047,10622.847656, 16.973818],0]; [_CV09,14] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,14] setWaypointSpeed "NORMAL";} else { [_CV09,14] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[12967.130859, 8848.733398, 19.661501],0]; [_CV09,15] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,15] setWaypointSpeed "NORMAL";} else { [_CV09,15] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[13304.243164, 8848.193359, 19.482885],0]; [_CV09,16] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,16] setWaypointSpeed "NORMAL";} else { [_CV09,16] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[13323.892578, 8848.193359, 19.482887],0]; [_CV09,17] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,17] setWaypointSpeed "NORMAL";} else { [_CV09,17] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[13492.462891, 8858.329102, 19.980000],0]; [_CV09,18] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,18] setWaypointSpeed "NORMAL";} else { [_CV09,18] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[14474.554688,12508.205078, 39.959999],0]; [_CV09,19] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]"];	if (random(10) < 8) then {[_CV09,19] setWaypointSpeed "NORMAL";} else { [_CV09,19] setWaypointSpeed "FULL";};
_wp = _CV09 addWaypoint [[13686.506836,12657.884766, 28.108292],0]; [_CV09,20] setWaypointType "CYCLE"; [_CV09,20] setWaypointStatements ["true", "CV09_1 setFuel 1.0; CV09_1 setDammage 0.0; civhorn action [""useWeapon"",CV09_1,driver(CV09_1),0]; CV09_2 moveInDriver CV09_1"];

_CV11 = createGroup Civilian;
CV11_1 = "UralCivil2" createVehicle [10686.835938,16189.864258,34.185760];
clearMagazineCargo CV11_1;
CV11_1 setDir 265.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_2 = this; this moveInDriver CV11_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_3 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_4 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_5 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_6 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_7 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_8 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_9 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_10 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_11 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_12 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV11,"CV11_13 = this; this moveInCargo [CV11_1,ceil(random(13))]",0.2,"private"];};
_wp = _CV11 addWaypoint [[10635.125977,16192.958984,32.958607],0];
[_CV11,1] setWaypointCombatmode "BLUE";
[_CV11,1] setWaypointSpeed "NORMAL";
[_CV11,1] setWaypointBehaviour "SAFE";
_wp = _CV11 addWaypoint [[10252.796875,15505.977539,174.243286],0]; [_CV11, 2] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[10839.005859,15356.443359,110.587563],0]; [_CV11, 3] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[11637.876953,15482.091797,146.308029],0]; [_CV11, 4] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[11816.445313,15450.425781,149.460587],0]; [_CV11, 5] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[12034.001953,15412.045898,152.281601],0]; [_CV11, 6] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[12237.475586,15461.804688,127.089172],0]; [_CV11, 7] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[11724.096680,16609.064453, 22.282173],0]; [_CV11, 8] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[11455.916016,16440.783203, 16.222424],0]; [_CV11, 9] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]"];
_wp = _CV11 addWaypoint [[10644.884766,16191.190430, 33.303490],0]; [_CV11,10] setWaypointType "CYCLE"; [_CV11,10] setWaypointStatements ["true", "CV11_1 setFuel 1.0; CV11_1 setDammage 0.0; civhorn action [""useWeapon"",CV11_1,driver(CV11_1),0]; CV11_2 moveInDriver CV11_1"];

_CV13 = createGroup Civilian;
CV13_1 = "car_sedan" createVehicle [13915.503906,16707.404297,26.016272];
CV13_1 setDir 150.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV13,"CV13_2 = this; this moveInDriver CV13_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV13,"CV13_3 = this; this moveInCargo CV13_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV13,"CV13_4 = this; this moveInCargo CV13_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV13,"CV13_5 = this; this moveInCargo CV13_1",0.2,"private"];};
_wp = _CV13 addWaypoint [[14006.078125,16546.369141,26.082315],0];
[_CV13,1] setWaypointCombatmode "BLUE";
[_CV13,1] setWaypointSpeed "NORMAL";
[_CV13,1] setWaypointBehaviour "SAFE";
_wp = _CV13 addWaypoint [[13986.689453,16475.671875, 23.991734],0]; [_CV13, 2] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"]; if (random(10) < 8) then {[_CV13, 2] setWaypointSpeed "NORMAL";} else { [_CV13, 2] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[12494.213867,15011.075195,180.000244],0]; [_CV13, 3] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 3] setWaypointSpeed "NORMAL";} else { [_CV13, 3] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[12395.998047,14494.706055,205.125885],0]; [_CV13, 4] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 4] setWaypointSpeed "NORMAL";} else { [_CV13, 4] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[11577.027344,14248.129883,244.583237],0]; [_CV13, 5] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 5] setWaypointSpeed "NORMAL";} else { [_CV13, 5] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[10100.048828,14121.675781,106.978516],0]; [_CV13, 6] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 6] setWaypointSpeed "NORMAL";} else { [_CV13, 6] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[10920.675781,12685.693359, 31.314682],0]; [_CV13, 7] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 7] setWaypointSpeed "NORMAL";} else { [_CV13, 7] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13000.884766,11278.265625, 22.000429],0]; [_CV13, 8] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 8] setWaypointSpeed "NORMAL";} else { [_CV13, 8] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13082.961914,11276.339844, 25.965000],0]; [_CV13, 9] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13, 9] setWaypointSpeed "NORMAL";} else { [_CV13, 9] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14104.418945,12403.954102, 39.959999],0]; [_CV13,10] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,10] setWaypointSpeed "NORMAL";} else { [_CV13,10] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14311.473633,12351.811523, 40.384003],0]; [_CV13,11] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,11] setWaypointSpeed "NORMAL";} else { [_CV13,11] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14407.337891,12256.326172, 57.172935],0]; [_CV13,12] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,12] setWaypointSpeed "NORMAL";} else { [_CV13,12] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14603.022461,11860.630859, 55.814960],0]; [_CV13,13] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,13] setWaypointSpeed "NORMAL";} else { [_CV13,13] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[15363.959961,12514.256836,103.279411],0]; [_CV13,14] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,14] setWaypointSpeed "NORMAL";} else { [_CV13,14] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[15399.498047,13744.385742, 22.200686],0]; [_CV13,15] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,15] setWaypointSpeed "NORMAL";} else { [_CV13,15] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[16962.423828,14107.529297, 13.617629],0]; [_CV13,16] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,16] setWaypointSpeed "NORMAL";} else { [_CV13,16] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17451.683594,13535.734375, 25.447176],0]; [_CV13,17] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,17] setWaypointSpeed "NORMAL";} else { [_CV13,17] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17190.191406,13582.003906, 40.377285],0]; [_CV13,18] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,18] setWaypointSpeed "NORMAL";} else { [_CV13,18] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17452.992188,13535.942383, 25.443907],0]; [_CV13,19] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,19] setWaypointSpeed "NORMAL";} else { [_CV13,19] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17151.849609,13950.580078, 16.506218],0]; [_CV13,20] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,20] setWaypointSpeed "NORMAL";} else { [_CV13,20] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17252.613281,14181.574219, 13.455000],0]; [_CV13,21] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,21] setWaypointSpeed "NORMAL";} else { [_CV13,21] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17334.748047,14305.050781, 13.477731],0]; [_CV13,22] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,22] setWaypointSpeed "NORMAL";} else { [_CV13,22] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[18959.015625,14058.495117, 16.302162],0]; [_CV13,23] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,23] setWaypointSpeed "NORMAL";} else { [_CV13,23] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[18897.091797,13768.582031, 36.456993],0]; [_CV13,24] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,24] setWaypointSpeed "NORMAL";} else { [_CV13,24] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[18966.248047,13720.105469, 33.399372],0]; [_CV13,25] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,25] setWaypointSpeed "NORMAL";} else { [_CV13,25] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[18899.496094,13770.596680, 36.333469],0]; [_CV13,26] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,26] setWaypointSpeed "NORMAL";} else { [_CV13,26] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[18959.119141,14061.447266, 16.366144],0]; [_CV13,27] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,27] setWaypointSpeed "NORMAL";} else { [_CV13,27] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[17178.310547,14323.294922, 13.455249],0]; [_CV13,28] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,28] setWaypointSpeed "NORMAL";} else { [_CV13,28] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[15399.227539,13743.714844, 22.212215],0]; [_CV13,29] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,29] setWaypointSpeed "NORMAL";} else { [_CV13,29] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13983.483398,13168.678711, 37.330471],0]; [_CV13,30] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,30] setWaypointSpeed "NORMAL";} else { [_CV13,30] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14235.875000,12653.142578, 39.960247],0]; [_CV13,31] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,31] setWaypointSpeed "NORMAL";} else { [_CV13,31] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13979.885742, 9840.583008, 26.563845],0]; [_CV13,32] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,32] setWaypointSpeed "NORMAL";} else { [_CV13,32] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13082.262695,11276.177734, 25.965000],0]; [_CV13,33] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,33] setWaypointSpeed "NORMAL";} else { [_CV13,33] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13001.042969,11277.575195, 22.013430],0]; [_CV13,34] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,34] setWaypointSpeed "NORMAL";} else { [_CV13,34] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[10919.549805,12684.892578, 31.335436],0]; [_CV13,35] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,35] setWaypointSpeed "NORMAL";} else { [_CV13,35] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[10100.686523,14121.316406,107.080917],0]; [_CV13,36] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,36] setWaypointSpeed "NORMAL";} else { [_CV13,36] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[11575.782227,14247.933594,244.540695],0]; [_CV13,37] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,37] setWaypointSpeed "NORMAL";} else { [_CV13,37] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[11930.762695,15429.130859,153.000244],0]; [_CV13,38] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,38] setWaypointSpeed "NORMAL";} else { [_CV13,38] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[12238.140625,15461.954102,127.092392],0]; [_CV13,39] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,39] setWaypointSpeed "NORMAL";} else { [_CV13,39] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[12494.861328,15010.720703,180.000244],0]; [_CV13,40] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,40] setWaypointSpeed "NORMAL";} else { [_CV13,40] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13984.760742,16475.701172, 24.022572],0]; [_CV13,41] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,41] setWaypointSpeed "NORMAL";} else { [_CV13,41] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[14007.680664,16544.886719, 26.058685],0]; [_CV13,42] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]"];	if (random(10) < 8) then {[_CV13,42] setWaypointSpeed "NORMAL";} else { [_CV13,42] setWaypointSpeed "FULL";};
_wp = _CV13 addWaypoint [[13931.041016,16697.921875, 26.168373],0]; [_CV13,43] setWaypointType "CYCLE"; [_CV13,43] setWaypointStatements ["true", "CV13_1 setFuel 1.0; CV13_1 setDammage 0.0; civhorn action [""useWeapon"",CV13_1,driver(CV13_1),0]; CV13_2 moveInDriver CV13_1"];

_CV15 = createGroup Civilian;
CV15_1 = "SkodaRed" createVehicle [14214.396484,12600.886719,39.959999];
CV15_1 setDir 90.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV15,"CV15_2 = this; this moveInDriver CV15_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV15,"CV15_3 = this; this moveInCargo CV15_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV15,"CV15_4 = this; this moveInCargo CV15_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV15,"CV15_5 = this; this moveInCargo CV15_1",0.2,"private"];};
_wp = _CV15 addWaypoint [[14228.031250,12599.015625,39.959999],0];
[_CV15,1] setWaypointCombatmode "BLUE";
[_CV15,1] setWaypointSpeed "NORMAL";
[_CV15,1] setWaypointBehaviour "SAFE";
_wp = _CV15 addWaypoint [[14234.594727,12661.566406, 39.871902],0]; [_CV15, 2] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"]; if (random(10) < 8) then {[_CV15, 2] setWaypointSpeed "NORMAL";} else { [_CV15, 2] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13983.483398,13169.393555, 37.328865],0]; [_CV15, 3] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 3] setWaypointSpeed "NORMAL";} else { [_CV15, 3] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[15398.778320,13744.325195, 22.215818],0]; [_CV15, 4] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 4] setWaypointSpeed "NORMAL";} else { [_CV15, 4] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[16963.117188,14106.471680, 13.619814],0]; [_CV15, 5] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 5] setWaypointSpeed "NORMAL";} else { [_CV15, 5] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17151.210938,13950.971680, 16.482990],0]; [_CV15, 6] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 6] setWaypointSpeed "NORMAL";} else { [_CV15, 6] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17710.937500,12403.872070, 64.980019],0]; [_CV15, 7] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 7] setWaypointSpeed "NORMAL";} else { [_CV15, 7] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17710.685547,12393.417969, 65.273392],0]; [_CV15, 8] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 8] setWaypointSpeed "NORMAL";} else { [_CV15, 8] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17151.828125,13951.373047, 16.538073],0]; [_CV15, 9] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15, 9] setWaypointSpeed "NORMAL";} else { [_CV15, 9] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17266.703125,14234.989258, 13.455000],0]; [_CV15,10] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,10] setWaypointSpeed "NORMAL";} else { [_CV15,10] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17354.025391,14206.515625, 13.455249],0]; [_CV15,11] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,11] setWaypointSpeed "NORMAL";} else { [_CV15,11] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17335.460938,14305.046875, 13.478859],0]; [_CV15,12] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,12] setWaypointSpeed "NORMAL";} else { [_CV15,12] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[18970.980469,13984.042969, 18.786457],0]; [_CV15,13] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,13] setWaypointSpeed "NORMAL";} else { [_CV15,13] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[18868.257813,13958.373047, 29.010017],0]; [_CV15,14] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,14] setWaypointSpeed "NORMAL";} else { [_CV15,14] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[18916.375000,13897.509766, 25.940765],0]; [_CV15,15] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,15] setWaypointSpeed "NORMAL";} else { [_CV15,15] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[18971.718750,13983.903320, 18.739040],0]; [_CV15,16] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,16] setWaypointSpeed "NORMAL";} else { [_CV15,16] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[17179.117188,14323.453125, 13.455249],0]; [_CV15,17] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,17] setWaypointSpeed "NORMAL";} else { [_CV15,17] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[15398.968750,13742.999023, 22.223894],0]; [_CV15,18] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,18] setWaypointSpeed "NORMAL";} else { [_CV15,18] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[15364.312500,12514.919922,103.143028],0]; [_CV15,19] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,19] setWaypointSpeed "NORMAL";} else { [_CV15,19] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14602.533203,11861.214844, 55.816738],0]; [_CV15,20] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,20] setWaypointSpeed "NORMAL";} else { [_CV15,20] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14193.275391,10209.961914, 41.884270],0]; [_CV15,21] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,21] setWaypointSpeed "NORMAL";} else { [_CV15,21] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13739.781250,10179.851563, 26.238441],0]; [_CV15,22] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,22] setWaypointSpeed "NORMAL";} else { [_CV15,22] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13979.184570, 9840.458008, 26.573959],0]; [_CV15,23] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,23] setWaypointSpeed "NORMAL";} else { [_CV15,23] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13816.968750, 9469.184570, 27.171579],0]; [_CV15,24] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,24] setWaypointSpeed "NORMAL";} else { [_CV15,24] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14290.557617, 9449.760742, 51.505913],0]; [_CV15,25] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,25] setWaypointSpeed "NORMAL";} else { [_CV15,25] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14454.659180, 8512.261719, 25.862028],0]; [_CV15,26] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,26] setWaypointSpeed "NORMAL";} else { [_CV15,26] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13688.998047, 8844.748047, 19.980000],0]; [_CV15,27] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,27] setWaypointSpeed "NORMAL";} else { [_CV15,27] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13718.149414, 9074.212891, 23.985249],0]; [_CV15,28] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,28] setWaypointSpeed "NORMAL";} else { [_CV15,28] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13743.135742, 9074.415039, 24.525251],0]; [_CV15,29] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,29] setWaypointSpeed "NORMAL";} else { [_CV15,29] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13737.567383, 9155.038086, 30.758667],0]; [_CV15,30] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,30] setWaypointSpeed "NORMAL";} else { [_CV15,30] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13662.521484, 9151.552734, 21.499838],0]; [_CV15,31] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,31] setWaypointSpeed "NORMAL";} else { [_CV15,31] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14391.702148,10801.133789, 39.936874],0]; [_CV15,32] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,32] setWaypointSpeed "NORMAL";} else { [_CV15,32] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13357.893555,10916.003906, 25.052347],0]; [_CV15,33] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,33] setWaypointSpeed "NORMAL";} else { [_CV15,33] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13082.501953,11276.888672, 25.965000],0]; [_CV15,34] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,34] setWaypointSpeed "NORMAL";} else { [_CV15,34] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14124.117188,12507.470703, 39.960247],0]; [_CV15,35] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,35] setWaypointSpeed "NORMAL";} else { [_CV15,35] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13824.388672,13116.525391, 37.150505],0]; [_CV15,36] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,36] setWaypointSpeed "NORMAL";} else { [_CV15,36] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12227.271484,13359.587891,212.939880],0]; [_CV15,37] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,37] setWaypointSpeed "NORMAL";} else { [_CV15,37] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12561.539063,13406.751953,178.156250],0]; [_CV15,38] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,38] setWaypointSpeed "NORMAL";} else { [_CV15,38] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12396.361328,14494.057617,205.111298],0]; [_CV15,39] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,39] setWaypointSpeed "NORMAL";} else { [_CV15,39] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12494.248047,15010.321289,180.000244],0]; [_CV15,40] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,40] setWaypointSpeed "NORMAL";} else { [_CV15,40] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13590.714844,15589.492188,311.693787],0]; [_CV15,41] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,41] setWaypointSpeed "NORMAL";} else { [_CV15,41] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13932.400391,15741.464844,322.492615],0]; [_CV15,42] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,42] setWaypointSpeed "NORMAL";} else { [_CV15,42] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13591.360352,15589.864258,311.805695],0]; [_CV15,43] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,43] setWaypointSpeed "NORMAL";} else { [_CV15,43] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12493.634766,15010.626953,180.000244],0]; [_CV15,44] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,44] setWaypointSpeed "NORMAL";} else { [_CV15,44] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12237.622070,15462.560547,127.013611],0]; [_CV15,45] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,45] setWaypointSpeed "NORMAL";} else { [_CV15,45] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[10254.190430,15506.437500,174.032608],0]; [_CV15,46] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,46] setWaypointSpeed "NORMAL";} else { [_CV15,46] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[10635.635742,16191.666992, 32.907917],0]; [_CV15,47] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,47] setWaypointSpeed "NORMAL";} else { [_CV15,47] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[11456.640625,16440.759766, 16.248795],0]; [_CV15,48] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,48] setWaypointSpeed "NORMAL";} else { [_CV15,48] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[11724.809570,16609.261719, 22.300251],0]; [_CV15,49] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,49] setWaypointSpeed "NORMAL";} else { [_CV15,49] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12238.335938,15462.657227,127.017258],0]; [_CV15,50] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,50] setWaypointSpeed "NORMAL";} else { [_CV15,50] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[12012.552734,15415.883789,153.009628],0]; [_CV15,51] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,51] setWaypointSpeed "NORMAL";} else { [_CV15,51] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[11902.443359,15264.228516,152.451691],0]; [_CV15,52] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,52] setWaypointSpeed "NORMAL";} else { [_CV15,52] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[11576.342773,14248.442383,244.560806],0]; [_CV15,53] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,53] setWaypointSpeed "NORMAL";} else { [_CV15,53] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[10099.930664,14122.426758,106.923546],0]; [_CV15,54] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,54] setWaypointSpeed "NORMAL";} else { [_CV15,54] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[10920.118164,12685.320313, 31.328053],0]; [_CV15,55] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,55] setWaypointSpeed "NORMAL";} else { [_CV15,55] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13001.349609,11278.846680, 21.995874],0]; [_CV15,56] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,56] setWaypointSpeed "NORMAL";} else { [_CV15,56] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[13083.218750,11277.015625, 25.965000],0]; [_CV15,57] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,57] setWaypointSpeed "NORMAL";} else { [_CV15,57] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14124.390625,12544.769531, 39.960247],0]; [_CV15,58] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,58] setWaypointSpeed "NORMAL";} else { [_CV15,58] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14227.585938,12545.480469, 39.959999],0]; [_CV15,59] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]"];	if (random(10) < 8) then {[_CV15,59] setWaypointSpeed "NORMAL";} else { [_CV15,59] setWaypointSpeed "FULL";};
_wp = _CV15 addWaypoint [[14228.058594,12598.210938, 39.959999],0]; [_CV15,60] setWaypointType "CYCLE"; [_CV15,60] setWaypointStatements ["true", "CV15_1 setFuel 1.0; CV15_1 setDammage 0.0; civhorn action [""useWeapon"",CV15_1,driver(CV15_1),0]; CV15_2 moveInDriver CV15_1"];

_CV17 = createGroup Civilian;
CV17_1 = "datsun1_civil_1_open" createVehicle [18402.931641,13284.796875,119.316856];
CV17_1 setDir 225.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV17,"CV17_2 = this; this moveInDriver CV17_1",0.9,"corporal"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV17,"CV17_3 = this; this moveInCargo CV17_1",0.2,"private"];};
_wp = _CV17 addWaypoint [[14538.185547,9753.116211,93.422829],1400.000000];
[_CV17,1] setWaypointCombatmode "BLUE";
[_CV17,1] setWaypointSpeed "NORMAL";
[_CV17,1] setWaypointBehaviour "SAFE";
[_CV17,1] setWaypointStatements ["true", "CV17_1 setFuel 1.0; CV17_1 setDammage 0.0"];
_wp = _CV17 addWaypoint [[12672.781250,14429.927734,194.925858],2500.000000]; [_CV17, 2] setWaypointStatements ["true", "CV17_1 setFuel 1.0; CV17_1 setDammage 0.0"];
_wp = _CV17 addWaypoint [[18401.679688,13320.551758,117.851006], 500.000000]; [_CV17, 3] setWaypointType "CYCLE"; [_CV17, 3] setWaypointStatements ["true", "CV17_1 setFuel 1.0; CV17_1 setDammage 0.0; CV17_2 moveInDriver CV17_1"];

_CV19 = createGroup Civilian;
CV19_1 = "datsun1_civil_3_open" createVehicle [12406.100586,17465.886719,57.398552];
CV19_1 setDir 358.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV19,"CV19_2 = this; this moveInDriver CV19_1",0.9,"corporal"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV19,"CV19_3 = this; this moveInCargo CV19_1",0.2,"private"];};
_wp = _CV19 addWaypoint [[14669.805664,9694.847656,72.534065],1200.000000];
[_CV19,1] setWaypointCombatmode "BLUE";
[_CV19,1] setWaypointSpeed "NORMAL";
[_CV19,1] setWaypointBehaviour "SAFE";
[_CV19,1] setWaypointStatements ["true", "CV19_1 setFuel 1.0; CV19_1 setDammage 0.0"];
_wp = _CV19 addWaypoint [[12202.702148,17480.208984,26.673534],0]; [_CV19, 2] setWaypointStatements ["true", "CV19_1 setFuel 1.0; CV19_1 setDammage 0.0"];
_wp = _CV19 addWaypoint [[12406.775391,17480.001953,54.403515],0]; [_CV19, 3] setWaypointType "CYCLE"; [_CV19, 3] setWaypointStatements ["true", "CV19_1 setFuel 1.0; CV19_1 setDammage 0.0; CV19_2 moveInDriver CV19_1"];

_CV21 = createGroup Civilian;
CV21_1 = "car_hatchback" createVehicle [13559.908203,9263.440430,19.980000];
CV21_1 setDir 70.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV21,"CV21_2 = this; this moveInDriver CV21_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV21,"CV21_3 = this; this moveInCargo CV21_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV21,"CV21_4 = this; this moveInCargo CV21_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV21,"CV21_5 = this; this moveInCargo CV21_1",0.2,"private"];};
_wp = _CV21 addWaypoint [[13672.373047,9256.490234,21.375000],0];
[_CV21,1] setWaypointCombatmode "BLUE";
[_CV21,1] setWaypointSpeed "NORMAL";
[_CV21,1] setWaypointBehaviour "SAFE";
_wp = _CV21 addWaypoint [[14351.113281,10713.429688, 43.044182],0]; [_CV21, 2] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"]; if (random(10) < 8) then {[_CV21, 2] setWaypointSpeed "NORMAL";} else { [_CV21, 2] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14562.588867,10775.288086, 43.965248],0]; [_CV21, 3] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 3] setWaypointSpeed "NORMAL";} else { [_CV21, 3] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14441.172852,10887.768555, 41.805000],0]; [_CV21, 4] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 4] setWaypointSpeed "NORMAL";} else { [_CV21, 4] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14391.414063,10801.748047, 39.917755],0]; [_CV21, 5] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 5] setWaypointSpeed "NORMAL";} else { [_CV21, 5] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13358.543945,10916.494141, 25.101557],0]; [_CV21, 6] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 6] setWaypointSpeed "NORMAL";} else { [_CV21, 6] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13739.125977,10180.010742, 26.248840],0]; [_CV21, 7] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 7] setWaypointSpeed "NORMAL";} else { [_CV21, 7] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14192.768555,10209.333984, 41.842060],0]; [_CV21, 8] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 8] setWaypointSpeed "NORMAL";} else { [_CV21, 8] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13978.998047, 9839.657227, 26.576513],0]; [_CV21, 9] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21, 9] setWaypointSpeed "NORMAL";} else { [_CV21, 9] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13082.807617,11275.621094, 25.965000],0]; [_CV21,10] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,10] setWaypointSpeed "NORMAL";} else { [_CV21,10] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13498.471680,11575.703125, 28.122211],0]; [_CV21,11] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,11] setWaypointSpeed "NORMAL";} else { [_CV21,11] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13758.416992,11522.392578, 34.965000],0]; [_CV21,12] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,12] setWaypointSpeed "NORMAL";} else { [_CV21,12] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13786.215820,11548.492188, 34.965000],0]; [_CV21,13] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,13] setWaypointSpeed "NORMAL";} else { [_CV21,13] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13822.460938,11518.466797, 35.182415],0]; [_CV21,14] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,14] setWaypointSpeed "NORMAL";} else { [_CV21,14] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14381.437500,11139.350586, 44.706902],0]; [_CV21,15] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,15] setWaypointSpeed "NORMAL";} else { [_CV21,15] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14413.625000,11128.095703, 45.722939],0]; [_CV21,16] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,16] setWaypointSpeed "NORMAL";} else { [_CV21,16] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14547.210938,11053.950195, 46.665512],0]; [_CV21,17] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,17] setWaypointSpeed "NORMAL";} else { [_CV21,17] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14603.917969,11861.560547, 55.802708],0]; [_CV21,18] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,18] setWaypointSpeed "NORMAL";} else { [_CV21,18] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[15365.041016,12514.877930,103.117462],0]; [_CV21,19] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,19] setWaypointSpeed "NORMAL";} else { [_CV21,19] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[15399.131836,13744.958984, 22.202938],0]; [_CV21,20] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,20] setWaypointSpeed "NORMAL";} else { [_CV21,20] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13984.116211,13169.009766, 37.329727],0]; [_CV21,21] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,21] setWaypointSpeed "NORMAL";} else { [_CV21,21] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14234.818359,12655.380859, 39.960247],0]; [_CV21,22] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,22] setWaypointSpeed "NORMAL";} else { [_CV21,22] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14124.883789,12546.249023, 39.960247],0]; [_CV21,23] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,23] setWaypointSpeed "NORMAL";} else { [_CV21,23] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14311.345703,12545.621094, 39.960247],0]; [_CV21,24] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,24] setWaypointSpeed "NORMAL";} else { [_CV21,24] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14325.041016,12637.996094, 39.959999],0]; [_CV21,25] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,25] setWaypointSpeed "NORMAL";} else { [_CV21,25] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14422.417969,12508.037109, 39.959999],0]; [_CV21,26] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,26] setWaypointSpeed "NORMAL";} else { [_CV21,26] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14474.117188,12509.135742, 39.959999],0]; [_CV21,27] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,27] setWaypointSpeed "NORMAL";} else { [_CV21,27] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14419.136719,10849.781250, 41.031799],0]; [_CV21,28] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,28] setWaypointSpeed "NORMAL";} else { [_CV21,28] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14458.169922,10787.541016, 42.515236],0]; [_CV21,29] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,29] setWaypointSpeed "NORMAL";} else { [_CV21,29] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14369.464844,10761.462891, 42.196098],0]; [_CV21,30] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,30] setWaypointSpeed "NORMAL";} else { [_CV21,30] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14192.079102,10209.541992, 41.834824],0]; [_CV21,31] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,31] setWaypointSpeed "NORMAL";} else { [_CV21,31] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13739.953125,10179.125000, 26.235731],0]; [_CV21,32] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,32] setWaypointSpeed "NORMAL";} else { [_CV21,32] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13979.669922, 9839.805664, 26.560736],0]; [_CV21,33] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,33] setWaypointSpeed "NORMAL";} else { [_CV21,33] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13817.642578, 9468.817383, 27.170879],0]; [_CV21,34] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,34] setWaypointSpeed "NORMAL";} else { [_CV21,34] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14291.105469, 9449.292969, 51.598885],0]; [_CV21,35] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,35] setWaypointSpeed "NORMAL";} else { [_CV21,35] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[14455.301758, 8511.869141, 25.842199],0]; [_CV21,36] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,36] setWaypointSpeed "NORMAL";} else { [_CV21,36] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13690.716797, 8844.138672, 19.980000],0]; [_CV21,37] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,37] setWaypointSpeed "NORMAL";} else { [_CV21,37] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13707.962891, 8937.464844, 23.404091],0]; [_CV21,38] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,38] setWaypointSpeed "NORMAL";} else { [_CV21,38] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13674.488281, 9042.960938, 23.985249],0]; [_CV21,39] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,39] setWaypointSpeed "NORMAL";} else { [_CV21,39] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13616.333984, 9055.731445, 20.663147],0]; [_CV21,40] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,40] setWaypointSpeed "NORMAL";} else { [_CV21,40] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13599.579102, 9026.805664, 19.964687],0]; [_CV21,41] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,41] setWaypointSpeed "NORMAL";} else { [_CV21,41] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13519.331055, 9117.285156, 19.980247],0]; [_CV21,42] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,42] setWaypointSpeed "NORMAL";} else { [_CV21,42] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13547.849609, 9139.526367, 19.980000],0]; [_CV21,43] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,43] setWaypointSpeed "NORMAL";} else { [_CV21,43] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13520.496094, 9171.140625, 19.980247],0]; [_CV21,44] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,44] setWaypointSpeed "NORMAL";} else { [_CV21,44] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13561.527344, 9198.943359, 19.980247],0]; [_CV21,45] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,45] setWaypointSpeed "NORMAL";} else { [_CV21,45] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13541.572266, 9259.703125, 19.980247],0]; [_CV21,46] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]"];	if (random(10) < 8) then {[_CV21,46] setWaypointSpeed "NORMAL";} else { [_CV21,46] setWaypointSpeed "FULL";};
_wp = _CV21 addWaypoint [[13666.032227, 9259.111328, 21.375000],0]; [_CV21,47] setWaypointType "CYCLE"; [_CV21,47] setWaypointStatements ["true", "CV21_1 setFuel 1.0; CV21_1 setDammage 0.0; civhorn action [""useWeapon"",CV21_1,driver(CV21_1),0]; CV21_2 moveInDriver CV21_1"];

// Creates civilian traffic slowdown points in the north:
// Benoma
_trg = createTrigger["EmptyDetector",[15400.963867,13744.749023, 22.254515]]; _trg setTriggerArea[100,100, 0,false]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Pita
_trg = createTrigger["EmptyDetector",[18942.677734,13890.929688, 25.132719]]; _trg setTriggerArea[120,120, 0,false]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Eponia
_trg = createTrigger["EmptyDetector",[12494.815430,15010.062500,180.000244]]; _trg setTriggerArea[ 50, 50, 0,false]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Hunapu
_trg = createTrigger["EmptyDetector",[ 7740.364258,15809.193359, 23.497883]]; _trg setTriggerArea[ 50, 50, 0,false]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Junction to Mercalillo above Corazol
_trg = createTrigger["EmptyDetector",[13947.855469, 9861.262695, 27.627329]]; _trg setTriggerArea[ 30, 30,30, true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Whole Obregan
_trg = createTrigger["EmptyDetector",[14513.333008,10745.495117, 43.965000]]; _trg setTriggerArea[ 30, 30,30, true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Near Pesadas in the militairy base
_trg = createTrigger["EmptyDetector",[11927.946289,15403.608398,153.000000]]; _trg setTriggerArea[ 20, 20,10, true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];

// In a few locations wrecks are placed in gardens because around some junctions some traffic prefered the garden above the road.
// Pita
Wreck01 = "JeepWreck1" createVehicle [18928.298828,13890.130859, 25.389912];
Wreck01 setDir 130.000000;
// Eponia
Wreck03 = "JeepWreck2" createVehicle [12503.378906,14988.529297,180.000000];
Wreck03 setDir 265.000000;
// Hunapu
Wreck05 = "JeepWreck3" createVehicle [ 7742.525391,15796.540039, 22.926928];
Wreck05 setDir 359.000000;
