// Populates large farms, hamlets, villages and towns in the north of Sahrani with civilians.

// Declaration of private variables.
private ["_fillFactor","_res","_agent"];

activateAddons["cacharacter"];

// This parameter determines the amount of people.
// 5 is default, (as the amount of people found in a small village.)
// Around 2 will be found near a large farm ands up to twenty in Bagango.
// than there will be around 240 civilians, note that the island of Isla del Vida also has some civilians
_fillFactor = _this select 0;

_agent = createAgent ["civilian",[4421.532227,15540.380859,6.975000],[],0,"NONE"];

_res = [[ 7754.444336,15826.245117, 24.600161], 70, 80, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8077.172852,15792.701172, 72.969429], 20, 10, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7575.962891,15661.126953, 41.761024], 20, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9764.163086,14450.276367, 46.702057],100,130, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10888.497070,12653.038086, 25.168491],110,110, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13229.212891,11323.083008, 25.965000],200,100, round(2.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13595.837891,11980.645508, 41.181538],110, 40, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12390.793945,13369.755859,192.241592],200,100, round(1.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12548.140625,12705.704102,169.562027], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11744.404297,14407.869141,230.619965],250,100, round(1.2*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11197.122070,14594.551758,238.652466], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12518.304688,15041.438477,180.000000],100,120, round(3.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10629.107422,16188.478516, 32.755383], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[15380.663086,13785.799805, 22.955593], 50,120, round(1.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[16644.056641,13733.366211, 52.430000], 20, 10, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[17279.500000,14198.114258, 13.479713],120,120, round(3.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[17317.615234,13588.192383, 35.379181],160, 70, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[17467.029297,13285.597656, 29.085194], 20, 20, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[18958.193359,13876.598633, 25.245106], 80,100, round(1.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[19210.683594,13619.620117,  4.995000], 30, 60, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14175.120117,12493.549805, 39.959999],300,200, round(4.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14817.156250,12779.121094,145.000000], 30, 30, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[16544.871094, 9318.005859, 12.557368],150,150, round(2.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[15573.370117, 8907.112305, 31.138617], 50,130, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[15337.804688, 9877.770508, 52.079815], 80, 25, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14474.676758, 8589.353516, 30.969143],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14464.172852,10793.333984, 42.521572],150,100, round(2.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14716.883789,11170.722656, 50.899300],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14518.283203,11078.228516, 46.832798], 50, 50, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14439.416992,10965.842773, 41.783672], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13874.477539,10291.888672, 30.313864], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13728.117188,10620.678711, 27.090000], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13361.893555,10699.890625, 19.882458], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13424.651367,11035.902344, 26.199368], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13928.025391, 9863.077148, 28.394909], 50, 50, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[14362.412109, 9477.368164, 56.170654], 70, 70, round(1.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13708.579102, 9029.118164, 23.985001], 60, 60, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13487.028320, 9173.130859, 19.980000],120,120, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13572.523438, 8888.379883, 19.980000],200,175, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[15399.540039,10639.835938, 60.439999], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 4945.841309,15759.441406, 24.975000], 50, 50, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13929.041016,16715.914063, 25.942484], 50, 50, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";

