// This function creates 50 empty vehicles on southern Sahrani of a FIXED type at a FIXED locations.
// This means that you will find tractors around farms, trucks and delivery vehicles around industrial sites etc..
private ["_chance","_maxFuel"];

// This parameter determines the chance that the empty vehicle is locked. The transition point being '1'.
// So below '1' every vehicle will be locked.
// At '2' there is a 50% chance of the vehicle being locked.
// At '4' is a 25% chance of the vehicles will be locked.
// At '100' almost every vehicle will be unlocked.
_chance = _this select 0;

// This second parameter determines the RANDOM amount of fuel in the tank of the empty vehicle.
// The transition point being '1'. If you make it higher than '1' chances will quickly increase of the vehicle having a full load of fuel.
// If you make it lower than '1' chances of the vehicle being low on fuel or out of fuel will increase.
_maxFuel = _this select 1;

CVE50 = "datsun1_civil_3_open"    createVehicle [ 2934.100586, 3048.594971,  9.112501];
CVE50 setFuel (random(_maxFuel));
CVE50 setDir  325.000000;
if ((random _chance) < 1) then { CVE50 lock true;};
CVE51 = "datsun1_civil_1_open"    createVehicle [12663.858398, 8662.407227, 26.391172];
CVE51 setFuel (random(_maxFuel));
CVE51 setDir  305.000000;
if ((random _chance) < 1) then { CVE51 lock true;};
CVE52 = "Bus_city"                createVehicle [ 7578.815918, 6342.841797, 11.970000];
CVE52 setFuel (random(_maxFuel));
CVE52 setDir  165.000000;
if ((random _chance) < 1) then { CVE52 lock true;};
CVE53 = "SkodaGreen"              createVehicle [ 7627.084473, 6475.746094, 18.559361];
CVE53 setFuel (random(_maxFuel));
CVE53 setDir  255.000000;
if ((random _chance) < 1) then { CVE53 lock true;};
CVE54 = "hilux1_civil_1_open"     createVehicle [ 6366.733887, 7452.388672, 54.022526];
CVE54 setFuel (random(_maxFuel));
CVE54 setDir  358.000000;
if ((random _chance) < 1) then { CVE54 lock true;};
CVE55 = "SkodaRed"                createVehicle [ 6946.895020, 8045.560547, 31.995001];
CVE55 setFuel (random(_maxFuel));
CVE55 setDir  180.000000;
if ((random _chance) < 1) then { CVE55 lock true;};
CVE56 = "car_hatchback"           createVehicle [ 6795.884277, 8084.756836,  7.965000];
CVE56 setFuel (random(_maxFuel));
CVE56 setDir   90.000000;
if ((random _chance) < 1) then { CVE56 lock true;};
CVE57 = "Bus_city"                createVehicle [ 7355.025391, 8716.003906,  4.756606];
CVE57 setFuel (random(_maxFuel));
CVE57 setDir  170.000000;
if ((random _chance) < 1) then { CVE57 lock true;};
CVE58 = "SkodaRed"                createVehicle [ 8219.619141, 9636.625977,  6.975000];
CVE58 setFuel (random(_maxFuel));
CVE58 setDir   55.000000;
if ((random _chance) < 1) then { CVE58 lock true;};
CVE59 = "Skoda"                   createVehicle [ 8672.010742,10105.113281,  8.603727];
CVE59 setFuel (random(_maxFuel));
CVE59 setDir  180.000000;
if ((random _chance) < 1) then { CVE59 lock true;};
CVE60 = "car_hatchback"           createVehicle [ 8473.149414, 9420.950195, 18.108023];
CVE60 setFuel (random(_maxFuel));
CVE60 setDir  215.000000;
if ((random _chance) < 1) then { CVE60 lock true;};
CVE61 = "hilux1_civil_3_open"     createVehicle [ 8915.950195, 6129.682617, 34.965000];
CVE61 setFuel (random(_maxFuel));
CVE61 setDir  185.000000;
if ((random _chance) < 1) then { CVE61 lock true;};
CVE62 = "tractor"                 createVehicle [ 9246.878906, 5369.466797, 18.039177];
CVE62 setFuel (random(_maxFuel));
CVE62 setDir  275.000000;
if ((random _chance) < 1) then { CVE62 lock true;};
CVE63 = "SkodaRed"                createVehicle [ 9433.464844, 5184.978027, 32.185516];
CVE63 setFuel (random(_maxFuel));
CVE63 setDir   90.000000;
if ((random _chance) < 1) then { CVE63 lock true;};
CVE64 = "hilux1_civil_3_open"     createVehicle [10365.675781, 5266.035156, 18.548481];
CVE64 setFuel (random(_maxFuel));
CVE64 setDir  225.000000;
if ((random _chance) < 1) then { CVE64 lock true;};
CVE65 = "tractor"                 createVehicle [11443.798828, 5414.991211,  4.708545];
CVE65 setFuel (random(_maxFuel));
CVE65 setDir    5.000000;
if ((random _chance) < 1) then { CVE65 lock true;};
CVE66 = "Skoda"                   createVehicle [11330.284180, 5343.977051,  5.102380];
CVE66 setFuel (random(_maxFuel));
CVE66 setDir  150.000000;
if ((random _chance) < 1) then { CVE66 lock true;};
CVE67 = "car_sedan"               createVehicle [11942.894531, 6425.610352, 26.220125];
CVE67 setFuel (random(_maxFuel));
CVE67 setDir   45.000000;
if ((random _chance) < 1) then { CVE67 lock true;};
CVE68 = "UralCivil"               createVehicle [13296.271484, 6929.721680, 13.995000];
CVE68 setFuel (random(_maxFuel));
CVE68 setDir  180.000000;
clearMagazineCargo CVE68;
if ((random _chance) < 1) then { CVE68 lock true;};
CVE69 = "datsun1_civil_3_open"    createVehicle [13236.845703, 6863.148438, 13.995000];
CVE69 setFuel (random(_maxFuel));
CVE69 setDir  358.000000;
if ((random _chance) < 1) then { CVE69 lock true;};
CVE70 = "datsun1_civil_3_open"    createVehicle [12290.209961, 6832.455566, 32.351070];
CVE70 setFuel (random(_maxFuel));
CVE70 setDir  190.000000;
if ((random _chance) < 1) then { CVE70 lock true;};
CVE71 = "datsun1_civil_3_open"    createVehicle [10182.005859, 6426.459961, 60.833359];
CVE71 setFuel (random(_maxFuel));
CVE71 setDir   90.000000;
if ((random _chance) < 1) then { CVE71 lock true;};
CVE72 = "UralCivil2"              createVehicle [11865.372070, 6105.170898,  7.965000];
CVE72 setFuel (random(_maxFuel));
CVE72 setDir  270.000000;
clearMagazineCargo CVE72;
if ((random _chance) < 1) then { CVE72 lock true;};
CVE73 = "datsun1_civil_2_covered" createVehicle [11630.965820, 5955.722168,  7.965000];
CVE73 setFuel (random(_maxFuel));
CVE73 setDir   85.000000;
if ((random _chance) < 1) then { CVE73 lock true;};
CVE74 = "hilux1_civil_1_open"     createVehicle [10741.742188, 7362.021484,139.967468];
CVE74 setFuel (random(_maxFuel));
CVE74 setDir  300.000000;
if ((random _chance) < 1) then { CVE74 lock true;};
CVE75 = "car_hatchback"           createVehicle [10261.777344, 7343.467773, 51.010033];
CVE75 setFuel (random(_maxFuel));
CVE75 setDir  145.000000;
if ((random _chance) < 1) then { CVE75 lock true;};
CVE76 = "car_sedan"               createVehicle [ 8845.860352, 7832.559570,172.192551];
CVE76 setFuel (random(_maxFuel));
CVE76 setDir  145.000000;
if ((random _chance) < 1) then { CVE76 lock true;};
CVE77 = "UralCivil2"              createVehicle [ 8828.376953, 7820.119629,171.876907];
CVE77 setFuel (random(_maxFuel));
CVE77 setDir  145.000000;
clearMagazineCargo CVE77;
if ((random _chance) < 1) then { CVE77 lock true;};
CVE78 = "Bus_city"                createVehicle [ 8343.618164, 9011.336914, 15.975000];
CVE78 setFuel (random(_maxFuel));
CVE78 setDir  270.000000;
if ((random _chance) < 1) then { CVE78 lock true;};
CVE79 = "SkodaRed"                createVehicle [ 8194.875000, 8919.486328, 11.970249];
CVE79 setFuel (random(_maxFuel));
CVE79 setDir  358.000000;
if ((random _chance) < 1) then { CVE79 lock true;};
CVE80 = "SkodaGreen"              createVehicle [ 7983.720215, 9311.894531,  5.201117];
CVE80 setFuel (random(_maxFuel));
CVE80 setDir  265.000000;
if ((random _chance) < 1) then { CVE80 lock true;};
CVE81 = "UralCivil"               createVehicle [ 8955.316406, 8427.833008,162.000000];
CVE81 setFuel (random(_maxFuel));
CVE81 setDir  180.000000;
clearMagazineCargo CVE81;
if ((random _chance) < 1) then { CVE81 lock true;};
CVE82 = "SkodaRed"                createVehicle [ 9056.869141, 8236.283203,163.979996];
CVE82 setFuel (random(_maxFuel));
CVE82 setDir  115.000000;
if ((random _chance) < 1) then { CVE82 lock true;};
CVE83 = "UralCivil"               createVehicle [10647.481445, 8932.675781,150.975006];
CVE83 setFuel (random(_maxFuel));
CVE83 setDir   90.000000;
clearMagazineCargo CVE83;
if ((random _chance) < 1) then { CVE83 lock true;};
CVE84 = "SkodaRed"                createVehicle [10665.844727, 9598.700195,122.985001];
CVE84 setFuel (random(_maxFuel));
CVE84 setDir  270.000000;
if ((random _chance) < 1) then { CVE84 lock true;};
CVE85 = "Landrover_Police"        createVehicle [10476.674805, 9508.757813,122.985001];
CVE85 setFuel (random(_maxFuel));
CVE85 setDir  300.000000;
clearMagazineCargo CVE85;
if ((random _chance) < 1) then { CVE85 lock true;};
CVE86 = "SkodaBlue"               createVehicle [10219.146484, 9498.276367,138.401978];
CVE86 setFuel (random(_maxFuel));
CVE86 setDir    5.000000;
if ((random _chance) < 1) then { CVE86 lock true;};
CVE87 = "SkodaRed"                createVehicle [10318.780273, 9246.382813,127.980003];
CVE87 setFuel (random(_maxFuel));
CVE87 setDir  275.000000;
if ((random _chance) < 1) then { CVE87 lock true;};
CVE88 = "datsun1_civil_2_covered" createVehicle [10275.210938, 9116.595703,157.994995];
CVE88 setFuel (random(_maxFuel));
CVE88 setDir  275.000000;
if ((random _chance) < 1) then { CVE88 lock true;};
CVE89 = "hilux1_civil_3_open"     createVehicle [12973.517578, 8644.824219, 18.000000];
CVE89 setFuel (random(_maxFuel));
CVE89 setDir   45.000000;
if ((random _chance) < 1) then { CVE89 lock true;};
CVE90 = "hilux1_civil_1_open"     createVehicle [13048.364258, 9033.159180,  8.959266];
CVE90 setFuel (random(_maxFuel));
CVE90 setDir  180.000000;
if ((random _chance) < 1) then { CVE90 lock true;};
CVE91 = "SkodaGreen"              createVehicle [11896.660156, 7336.402344, 34.536755];
CVE91 setFuel (random(_maxFuel));
CVE91 setDir   70.000000;
if ((random _chance) < 1) then { CVE91 lock true;};
CVE92 = "datsun1_civil_2_covered" createVehicle [12506.480469, 7107.362305, 28.222170];
CVE92 setFuel (random(_maxFuel));
CVE92 setDir  180.000000;
if ((random _chance) < 1) then { CVE92 lock true;};
CVE93 = "car_hatchback"           createVehicle [11781.119141, 5892.328125, 23.302149];
CVE93 setFuel (random(_maxFuel));
CVE93 setDir  205.000000;
if ((random _chance) < 1) then { CVE93 lock true;};
CVE94 = "Skoda"                   createVehicle [10523.593750, 4808.001953,  8.379105];
CVE94 setFuel (random(_maxFuel));
CVE94 setDir  135.000000;
if ((random _chance) < 1) then { CVE94 lock true;};
CVE95 = "SkodaGreen"              createVehicle [10803.120117, 9588.882813,133.810547];
CVE95 setFuel (random(_maxFuel));
CVE95 setDir    5.000000;
if ((random _chance) < 1) then { CVE95 lock true;};
CVE96 = "datsun1_civil_3_open"    createVehicle [ 9076.656250,10622.498047,114.080132];
CVE96 setFuel (random(_maxFuel));
CVE96 setDir   40.000000;
if ((random _chance) < 1) then { CVE96 lock true;};
CVE97 = "tractor"                 createVehicle [ 9446.487305,10975.435547, 39.590763];
CVE97 setFuel (random(_maxFuel));
CVE97 setDir  290.000000;
if ((random _chance) < 1) then { CVE97 lock true;};
CVE98 = "car_sedan"               createVehicle [ 9846.447266, 8620.536133,175.709930];
CVE98 setFuel (random(_maxFuel));
CVE98 setDir   90.000000;
if ((random _chance) < 1) then { CVE98 lock true;};
CVE99 = "car_sedan"               createVehicle [11141.662109, 8889.228516,232.785004];
CVE99 setFuel (random(_maxFuel));
CVE99 setDir  135.000000;
if ((random _chance) < 1) then { CVE99 lock true;};