// This function will create fifty empty civilian vehicles of a RANDOM type at FIXED locations on the southern part of Sahrani.
private ["_chance","_civcarTypes","_numberOfTypes","_maxFuel"];

// This parameter determines the chance that the empty vehicle is locked. The transition point being '1'.
// So below '1' every vehicle will be locked.
// At '2' there is a 50% chance of the vehicle being locked.
// At '4' is a 25% chance of the vehicles will be locked.
// At '100' almost every vehicle will be unlocked.
_chance = _this select 0;

// This second parameter determines the RANDOM amount of fuel in the tank of the empty vehicle.
// The transition point being '1'. If you make it higher than '1' chances will quickly increase of the vehicle having a full load of fuel.
// If you make it lower than '1' chances of the vehicle being low on fuel or out of fuel will increase.
_maxFuel = _this select 1;

_civcarTypes =
[
"Bus_city",
"car_hatchback",
"car_sedan",
"datsun1_civil_1_open",
"datsun1_civil_3_covered",
"datsun1_civil_3_open",
"hilux1_civil_1_open",
"hilux1_civil_2_covered",
"hilux1_civil_3_open",
"Landrover_Police",
"Skoda",
"SkodaBlue",
"SkodaGreen",
"SkodaRed",
"tractor",
"UralCivil",
"UralCivil2"
];
_numberOfTypes = 17;


CVE50 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 2934.100586, 3048.594971,  9.112501];
CVE50 setFuel (random(_maxFuel));
clearMagazineCargo CVE50;
CVE50 setDir 325.000000;
if ((random _chance) < 1) then { CVE50 lock true;};
CVE51 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12663.858398, 8662.407227, 26.391172];
CVE51 setFuel (random(_maxFuel));
clearMagazineCargo CVE51;
CVE51 setDir 305.000000;
if ((random _chance) < 1) then { CVE51 lock true;};
CVE52 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7578.815918, 6342.841797, 11.970000];
CVE52 setFuel (random(_maxFuel));
clearMagazineCargo CVE52;
CVE52 setDir 165.000000;
if ((random _chance) < 1) then { CVE52 lock true;};
CVE53 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7627.084473, 6475.746094, 18.559361];
CVE53 setFuel (random(_maxFuel));
clearMagazineCargo CVE53;
CVE53 setDir 255.000000;
if ((random _chance) < 1) then { CVE53 lock true;};
CVE54 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 6366.733887, 7452.388672, 54.022526];
CVE54 setFuel (random(_maxFuel));
clearMagazineCargo CVE54;
CVE54 setDir 358.000000;
if ((random _chance) < 1) then { CVE54 lock true;};
CVE55 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 6946.895020, 8045.560547, 31.995001];
CVE55 setFuel (random(_maxFuel));
clearMagazineCargo CVE55;
CVE55 setDir 180.000000;
if ((random _chance) < 1) then { CVE55 lock true;};
CVE56 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 6795.884277, 8084.756836,  7.965000];
CVE56 setFuel (random(_maxFuel));
clearMagazineCargo CVE56;
CVE56 setDir  90.000000;
if ((random _chance) < 1) then { CVE56 lock true;};
CVE57 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7355.025391, 8716.003906,  4.756606];
CVE57 setFuel (random(_maxFuel));
clearMagazineCargo CVE57;
CVE57 setDir 170.000000;
if ((random _chance) < 1) then { CVE57 lock true;};
CVE58 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8219.619141, 9636.625977,  6.975000];
CVE58 setFuel (random(_maxFuel));
clearMagazineCargo CVE58;
CVE58 setDir  55.000000;
if ((random _chance) < 1) then { CVE58 lock true;};
CVE59 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8672.010742,10105.113281,  8.603727];
CVE59 setFuel (random(_maxFuel));
clearMagazineCargo CVE59;
CVE59 setDir 180.000000;
if ((random _chance) < 1) then { CVE59 lock true;};
CVE60 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8473.149414, 9420.950195, 18.108023];
CVE60 setFuel (random(_maxFuel));
clearMagazineCargo CVE60;
CVE60 setDir 215.000000;
if ((random _chance) < 1) then { CVE60 lock true;};
CVE61 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8915.950195, 6129.682617, 34.965000];
CVE61 setFuel (random(_maxFuel));
clearMagazineCargo CVE61;
CVE61 setDir 185.000000;
if ((random _chance) < 1) then { CVE61 lock true;};
CVE62 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9246.878906, 5369.466797, 18.039177];
CVE62 setFuel (random(_maxFuel));
clearMagazineCargo CVE62;
CVE62 setDir 275.000000;
if ((random _chance) < 1) then { CVE62 lock true;};
CVE63 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9433.464844, 5184.978027, 32.185516];
CVE63 setFuel (random(_maxFuel));
clearMagazineCargo CVE63;
CVE63 setDir  90.000000;
if ((random _chance) < 1) then { CVE63 lock true;};
CVE64 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10365.675781, 5266.035156, 18.548481];
CVE64 setFuel (random(_maxFuel));
clearMagazineCargo CVE64;
CVE64 setDir 225.000000;
if ((random _chance) < 1) then { CVE64 lock true;};
CVE65 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11443.798828, 5414.991211,  4.708545];
CVE65 setFuel (random(_maxFuel));
clearMagazineCargo CVE65;
CVE65 setDir   5.000000;
if ((random _chance) < 1) then { CVE65 lock true;};
CVE66 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11330.284180, 5343.977051,  5.102380];
CVE66 setFuel (random(_maxFuel));
clearMagazineCargo CVE66;
CVE66 setDir 150.000000;
if ((random _chance) < 1) then { CVE66 lock true;};
CVE67 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11942.894531, 6425.610352, 26.220125];
CVE67 setFuel (random(_maxFuel));
clearMagazineCargo CVE67;
CVE67 setDir  45.000000;
if ((random _chance) < 1) then { CVE67 lock true;};
CVE68 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13296.271484, 6929.721680, 13.995000];
CVE68 setFuel (random(_maxFuel));
clearMagazineCargo CVE68;
CVE68 setDir 180.000000;
if ((random _chance) < 1) then { CVE68 lock true;};
CVE69 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13236.845703, 6863.148438, 13.995000];
CVE69 setFuel (random(_maxFuel));
clearMagazineCargo CVE69;
CVE69 setDir 358.000000;
if ((random _chance) < 1) then { CVE69 lock true;};
CVE70 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12290.209961, 6832.455566, 32.351070];
CVE70 setFuel (random(_maxFuel));
clearMagazineCargo CVE70;
CVE70 setDir 190.000000;
if ((random _chance) < 1) then { CVE70 lock true;};
CVE71 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10182.005859, 6426.459961, 60.833359];
CVE71 setFuel (random(_maxFuel));
clearMagazineCargo CVE71;
CVE71 setDir  90.000000;
if ((random _chance) < 1) then { CVE71 lock true;};
CVE72 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11865.372070, 6105.170898,  7.965000];
CVE72 setFuel (random(_maxFuel));
clearMagazineCargo CVE72;
CVE72 setDir 270.000000;
if ((random _chance) < 1) then { CVE72 lock true;};
CVE73 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11630.965820, 5955.722168,  7.965000];
CVE73 setFuel (random(_maxFuel));
clearMagazineCargo CVE73;
CVE73 setDir  85.000000;
if ((random _chance) < 1) then { CVE73 lock true;};
CVE74 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10741.742188, 7362.021484,139.967468];
CVE74 setFuel (random(_maxFuel));
clearMagazineCargo CVE74;
CVE74 setDir 300.000000;
if ((random _chance) < 1) then { CVE74 lock true;};
CVE75 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10261.777344, 7343.467773, 51.010033];
CVE75 setFuel (random(_maxFuel));
clearMagazineCargo CVE75;
CVE75 setDir 145.000000;
if ((random _chance) < 1) then { CVE75 lock true;};
CVE76 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8845.860352, 7832.559570,172.192551];
CVE76 setFuel (random(_maxFuel));
clearMagazineCargo CVE76;
CVE76 setDir 145.000000;
if ((random _chance) < 1) then { CVE76 lock true;};
CVE77 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8828.376953, 7820.119629,171.876907];
CVE77 setFuel (random(_maxFuel));
clearMagazineCargo CVE77;
CVE77 setDir 145.000000;
if ((random _chance) < 1) then { CVE77 lock true;};
CVE78 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8343.618164, 9011.336914, 15.975000];
CVE78 setFuel (random(_maxFuel));
clearMagazineCargo CVE78;
CVE78 setDir 270.000000;
if ((random _chance) < 1) then { CVE78 lock true;};
CVE79 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8194.875000, 8919.486328, 11.970249];
CVE79 setFuel (random(_maxFuel));
clearMagazineCargo CVE79;
CVE79 setDir 358.000000;
if ((random _chance) < 1) then { CVE79 lock true;};
CVE80 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7983.720215, 9311.894531,  5.201117];
CVE80 setFuel (random(_maxFuel));
clearMagazineCargo CVE80;
CVE80 setDir 265.000000;
if ((random _chance) < 1) then { CVE80 lock true;};
CVE81 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 8955.316406, 8427.833008,162.000000];
CVE81 setFuel (random(_maxFuel));
clearMagazineCargo CVE81;
CVE81 setDir 180.000000;
if ((random _chance) < 1) then { CVE81 lock true;};
CVE82 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9056.869141, 8236.283203,163.979996];
CVE82 setFuel (random(_maxFuel));
clearMagazineCargo CVE82;
CVE82 setDir 115.000000;
if ((random _chance) < 1) then { CVE82 lock true;};
CVE83 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10647.481445, 8932.675781,150.975006];
CVE83 setFuel (random(_maxFuel));
clearMagazineCargo CVE83;
CVE83 setDir  90.000000;
if ((random _chance) < 1) then { CVE83 lock true;};
CVE84 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10665.844727, 9598.700195,122.985001];
CVE84 setFuel (random(_maxFuel));
CVE84  setDir 270.000000;
if ((random _chance) < 1) then { CVE84 lock true;};
CVE85 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10476.674805, 9508.757813,122.985001];
CVE85 setFuel (random(_maxFuel));
clearMagazineCargo CVE84;
CVE85 setDir 300.000000;
if ((random _chance) < 1) then { CVE85 lock true;};
CVE86 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10219.146484, 9498.276367,138.401978];
CVE86 setFuel (random(_maxFuel));
clearMagazineCargo CVE85;
CVE86 setDir   5.000000;
if ((random _chance) < 1) then { CVE86 lock true;};
CVE87 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10318.780273, 9246.382813,127.980003];
CVE87 setFuel (random(_maxFuel));
clearMagazineCargo CVE86;
CVE87 setDir 275.000000;
if ((random _chance) < 1) then { CVE87 lock true;};
CVE88 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10275.210938, 9116.595703,157.994995];
CVE88 setFuel (random(_maxFuel));
clearMagazineCargo CVE87;
CVE88 setDir 275.000000;
if ((random _chance) < 1) then { CVE88 lock true;};
CVE89 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12973.517578, 8644.824219, 18.000000];
CVE89 setFuel (random(_maxFuel));
clearMagazineCargo CVE88;
CVE89 setDir  45.000000;
if ((random _chance) < 1) then { CVE89 lock true;};
CVE90 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13048.364258, 9033.159180,  8.959266];
CVE90 setFuel (random(_maxFuel));
clearMagazineCargo CVE89;
CVE90 setDir 180.000000;
if ((random _chance) < 1) then { CVE90 lock true;};
CVE91 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11896.660156, 7336.402344, 34.536755];
CVE91 setFuel (random(_maxFuel));
clearMagazineCargo CVE90;
CVE91 setDir  70.000000;
if ((random _chance) < 1) then { CVE91 lock true;};
CVE92 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12506.480469, 7107.362305, 28.222170];
CVE92 setFuel (random(_maxFuel));
clearMagazineCargo CVE91;
CVE92 setDir 180.000000;
if ((random _chance) < 1) then { CVE92 lock true;};
CVE93 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11781.119141, 5892.328125, 23.302149];
CVE93 setFuel (random(_maxFuel));
clearMagazineCargo CVE92;
CVE93 setDir 205.000000;
if ((random _chance) < 1) then { CVE93 lock true;};
CVE94 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10523.593750, 4808.001953,  8.379105];
CVE94 setFuel (random(_maxFuel));
clearMagazineCargo CVE93;
CVE94 setDir 135.000000;
if ((random _chance) < 1) then { CVE94 lock true;};
CVE95 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10803.120117, 9588.882813,133.810547];
CVE95 setFuel (random(_maxFuel));
clearMagazineCargo CVE94;
CVE95 setDir   5.000000;
if ((random _chance) < 1) then { CVE95 lock true;};
CVE96 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9076.656250,10622.498047,114.080132];
CVE96 setFuel (random(_maxFuel));
clearMagazineCargo CVE95;
CVE96 setDir  40.000000;
if ((random _chance) < 1) then { CVE96 lock true;};
CVE97 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9446.487305,10975.435547, 39.590763];
CVE97 setFuel (random(_maxFuel));
clearMagazineCargo CVE96;
CVE97 setDir 290.000000;
if ((random _chance) < 1) then { CVE97 lock true;};
CVE98 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9846.447266, 8620.536133,175.709930];
CVE98 setFuel (random(_maxFuel));
clearMagazineCargo CVE97;
CVE98 setDir  90.000000;
if ((random _chance) < 1) then { CVE98 lock true;};
CVE99 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11141.662109, 8889.228516,232.785004];
CVE99 setFuel (random(_maxFuel));
clearMagazineCargo CVE98;
CVE99 setDir 135.000000;
if ((random _chance) < 1) then { CVE99 lock true;};