// Creates 9 moving cars in the south of Sahrani of a FIXED type, with a driver of a random civilian type,
// The maximum amount of passengers placed
// sometimes together with a passsenger. The driver will drive randomly mostly at NORMAL, but sometimes at FULL speed.
// Eight vehicles drive a predetermined route, two vehicles drive a free, rather random, off-road route.
private ["_wp","_CV06","_CV08","_CV10","_CV12","_CV14","_CV16","_CV18","_CV20","_CV22","_numberOfTypes","_civillianTypes"];

activateAddons["cacharacter","CAWheeled"];

// Civilian types that will be the driver and randomly fill the cars as passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
_numberOfTypes = 21;

// Creation of a gamelogic vehicle necessary for the horn to work.
civhorn = "logic" createVehicleLocal [0,0,0];

_CV06 = createGroup Civilian;
CV06_1 = "Landrover_Police" createVehicle [12414.602539,7396.771484,21.919493];
CV06_1 setDir 359.000000;
clearMagazineCargo CV06_1;
"OfficerG" createUnit [[0,0,30],_CV06,"CV06_2 = this; this moveInDriver CV06_1",0.9,"corporal"];
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_3 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_4 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_5 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_6 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_7 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
if (random(10) < 7) then {"OfficerG" createUnit [[0,0,30],_CV06,"CV06_8 = this; this moveInCargo [CV06_1,ceil(random(6))]",0.9,"private"];};
_wp = _CV06 addWaypoint [[12966.113281,8848.060547,19.636305],0];
[_CV06,1] setWaypointCombatmode "RED";
[_CV06,1] setWaypointSpeed "NORMAL";
[_CV06,1] setWaypointBehaviour "SAFE";
_wp = _CV06 addWaypoint [[12061.411133, 9838.762695, 19.722422],0]; [_CV06, 2] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 2] setWaypointSpeed "NORMAL";} else {[_CV06, 2] setWaypointSpeed "NORMAL";};
_wp = _CV06 addWaypoint [[10948.208008,10622.821289, 16.941671],0]; [_CV06, 3] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 3] setWaypointSpeed "NORMAL";} else {[_CV06, 2] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[10501.069336, 9856.271484,123.216026],0]; [_CV06, 4] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 4] setWaypointSpeed "NORMAL";} else {[_CV06, 3] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[10516.241211, 9640.196289,122.985001],0]; [_CV06, 5] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 5] setWaypointSpeed "NORMAL";} else {[_CV06, 4] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[ 8499.162109, 9447.661133, 11.401175],0]; [_CV06, 6] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 6] setWaypointSpeed "NORMAL";} else {[_CV06, 5] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[ 8038.316406, 8893.458008,  9.521666],0]; [_CV06, 7] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 7] setWaypointSpeed "NORMAL";} else {[_CV06, 6] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[ 8720.672852, 8315.137695,151.914230],0]; [_CV06, 8] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 8] setWaypointSpeed "NORMAL";} else {[_CV06, 7] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[ 9252.312500, 8220.130859,163.979996],0]; [_CV06, 9] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06, 9] setWaypointSpeed "NORMAL";} else {[_CV06, 8] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[ 9447.817383, 6212.709961, 54.270824],0]; [_CV06,10] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06,10] setWaypointSpeed "NORMAL";} else {[_CV06, 9] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[11063.857422, 6725.193848, 55.134438],0]; [_CV06,11] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06,11] setWaypointSpeed "NORMAL";} else {[_CV06,10] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[11328.922852, 6992.940918, 45.185513],0]; [_CV06,12] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06,12] setWaypointSpeed "NORMAL";} else {[_CV06,11] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[12295.484375, 6783.125977, 23.880281],0]; [_CV06,13] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06,13] setWaypointSpeed "NORMAL";} else {[_CV06,12] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[12414.662109, 7405.617676, 22.343739],0]; [_CV06,14] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]"];	if (random(10) < 8) then {[_CV06,14] setWaypointSpeed "NORMAL";} else {[_CV06,13] setWaypointSpeed "FULL";};
_wp = _CV06 addWaypoint [[12967.179688, 8847.361328, 19.662710],0]; [_CV06,15] setWaypointType "CYCLE"; [_CV06,15] setWaypointStatements ["true", "CV06_1 setFuel 1.0; CV06_1 setDammage 0.0; civhorn action [""useWeapon"",CV06_1,driver(CV06_1),0]; CV06_2 moveInDriver CV06_1"];



_CV08 = createGroup Civilian;
CV08_1 = "SkodaGreen" createVehicle [7705.389160,6237.760742,14.105849];
CV08_1 setDir 250.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV08,"CV08_2 = this; this moveInDriver CV08_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV08,"CV08_3 = this; this moveInCargo CV08_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV08,"CV08_4 = this; this moveInCargo CV08_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV08,"CV08_5 = this; this moveInCargo CV08_1",0.2,"private"];};
_wp = _CV08 addWaypoint [[7574.330566,6380.51513,11.970000],0];
[_CV08,1] setWaypointCombatmode "BLUE";
[_CV08,1] setWaypointSpeed "NORMAL";
[_CV08,1] setWaypointBehaviour "SAFE";
_wp = _CV08 addWaypoint [[ 9314.289063, 6061.257324, 52.754448],0]; [_CV08, 2] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"]; if (random(10) < 8) then {[_CV08, 2] setWaypointSpeed "NORMAL";} else { [_CV08, 2] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9426.482422, 5831.384277, 45.990002],0]; [_CV08, 3] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 3] setWaypointSpeed "NORMAL";} else { [_CV08, 3] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9405.504883, 5954.155273, 44.547993],0]; [_CV08, 4] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 4] setWaypointSpeed "NORMAL";} else { [_CV08, 4] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9445.458984, 5966.979980, 43.674458],0]; [_CV08, 5] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 5] setWaypointSpeed "NORMAL";} else { [_CV08, 5] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9799.336914, 5362.837402, 26.569048],0]; [_CV08, 6] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 6] setWaypointSpeed "NORMAL";} else { [_CV08, 6] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9414.012695, 5173.511719, 25.506659],0]; [_CV08, 7] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 7] setWaypointSpeed "NORMAL";} else { [_CV08, 7] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9397.412109, 5256.616211, 23.071573],0]; [_CV08, 8] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 8] setWaypointSpeed "NORMAL";} else { [_CV08, 8] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9235.757813, 5238.924805, 20.131699],0]; [_CV08, 9] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08, 9] setWaypointSpeed "NORMAL";} else { [_CV08, 9] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9234.938477, 5145.761719, 21.015701],0]; [_CV08,10] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,10] setWaypointSpeed "NORMAL";} else { [_CV08,10] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9799.428711, 5362.125488, 26.566147],0]; [_CV08,11] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,11] setWaypointSpeed "NORMAL";} else { [_CV08,11] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10748.422852, 4952.247070,  9.990000],0]; [_CV08,12] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,12] setWaypointSpeed "NORMAL";} else { [_CV08,12] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10824.685547, 5030.725098,  9.990000],0]; [_CV08,13] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,13] setWaypointSpeed "NORMAL";} else { [_CV08,13] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[11259.159180, 5257.395020,  5.985000],0]; [_CV08,14] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,14] setWaypointSpeed "NORMAL";} else { [_CV08,14] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[11204.187500, 5684.020996, 20.507969],0]; [_CV08,15] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,15] setWaypointSpeed "NORMAL";} else { [_CV08,15] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[11431.134766, 5887.197266, 20.969999],0]; [_CV08,16] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,16] setWaypointSpeed "NORMAL";} else { [_CV08,16] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[11314.951172, 5947.487793, 24.840225],0]; [_CV08,17] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,17] setWaypointSpeed "NORMAL";} else { [_CV08,17] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[11259.920898, 6127.470703, 24.940157],0]; [_CV08,18] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,18] setWaypointSpeed "NORMAL";} else { [_CV08,18] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10168.475586, 6437.482910, 60.884361],0]; [_CV08,19] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,19] setWaypointSpeed "NORMAL";} else { [_CV08,19] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10304.950195, 7143.854980, 52.764626],0]; [_CV08,20] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,20] setWaypointSpeed "NORMAL";} else { [_CV08,20] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10742.542969, 7375.101563,139.954819],0]; [_CV08,21] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,21] setWaypointSpeed "NORMAL";} else { [_CV08,21] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10304.227539, 7145.074219, 52.952324],0]; [_CV08,22] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,22] setWaypointSpeed "NORMAL";} else { [_CV08,22] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10269.667969, 7348.164063, 51.080185],0]; [_CV08,23] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,23] setWaypointSpeed "NORMAL";} else { [_CV08,23] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10303.689453, 7143.871094, 52.764347],0]; [_CV08,24] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,24] setWaypointSpeed "NORMAL";} else { [_CV08,24] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[10167.161133, 6438.882813, 60.886936],0]; [_CV08,25] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,25] setWaypointSpeed "NORMAL";} else { [_CV08,25] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9448.163086, 6214.594238, 54.304035],0]; [_CV08,26] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,26] setWaypointSpeed "NORMAL";} else { [_CV08,26] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9263.369141, 8321.302734,163.979996],0]; [_CV08,27] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,27] setWaypointSpeed "NORMAL";} else { [_CV08,27] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 8951.395508, 8346.182617,162.476257],0]; [_CV08,28] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,28] setWaypointSpeed "NORMAL";} else { [_CV08,28] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 8913.486328, 8256.114258,163.894577],0]; [_CV08,29] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,29] setWaypointSpeed "NORMAL";} else { [_CV08,29] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9248.863281, 8221.255859,163.979996],0]; [_CV08,30] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,30] setWaypointSpeed "NORMAL";} else { [_CV08,30] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9448.163086, 6213.328613, 54.294155],0]; [_CV08,31] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,31] setWaypointSpeed "NORMAL";} else { [_CV08,31] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 9419.395508, 6060.870605, 53.459999],0]; [_CV08,32] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,32] setWaypointSpeed "NORMAL";} else { [_CV08,32] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 7575.007324, 6381.623047, 11.970000],0]; [_CV08,33] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,33] setWaypointSpeed "NORMAL";} else { [_CV08,33] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 7604.158203, 6299.161133, 11.970249],0]; [_CV08,34] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,34] setWaypointSpeed "NORMAL";} else { [_CV08,34] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 7685.314941, 6328.106445, 11.970249],0]; [_CV08,35] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]"];	if (random(10) < 8) then {[_CV08,35] setWaypointSpeed "NORMAL";} else { [_CV08,35] setWaypointSpeed "FULL";};
_wp = _CV08 addWaypoint [[ 7717.017578, 6241.664063, 13.826476],0]; [_CV08,36] setWaypointType "CYCLE";[_CV08,36] setWaypointStatements ["true", "CV08_1 setFuel 1.0; CV08_1 setDammage 0.0; civhorn action [""useWeapon"",CV08_1,driver(CV08_1),0]; CV08_2 moveInDriver CV08_1"];

_CV10 = createGroup Civilian;
CV10_1 = "hilux1_civil_2_covered" createVehicle [11581.512695,9156.412109,223.286850];
CV10_1 setDir 25.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV10,"CV10_2 = this; this moveInDriver CV10_1",0.9,"corporal"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV10,"CV10_3 = this; this moveInCargo CV10_1",0.2,"private"];};
_wp = _CV10 addWaypoint [[11591.898438,9173.588867,222.619064],0];
[_CV10,1] setWaypointCombatmode "BLUE";
[_CV10,1] setWaypointSpeed "NORMAL";
[_CV10,1] setWaypointBehaviour "SAFE";
_wp = _CV10 addWaypoint [[10859.491211, 9491.487305, 135.543671],0]; [_CV10, 2] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 2] setWaypointSpeed "NORMAL";} else { [_CV10, 2] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10818.217773, 9158.184570, 154.980240],0]; [_CV10, 3] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 3] setWaypointSpeed "NORMAL";} else { [_CV10, 3] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11178.672852, 8843.531250, 232.525452],0]; [_CV10, 4] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 4] setWaypointSpeed "NORMAL";} else { [_CV10, 4] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10961.755859, 8831.931641, 201.452774],0]; [_CV10, 5] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 5] setWaypointSpeed "NORMAL";} else { [_CV10, 5] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10816.210938, 9157.372070, 154.980240],0]; [_CV10, 6] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 6] setWaypointSpeed "NORMAL";} else { [_CV10, 6] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10748.836914, 9073.736328, 161.235001],0]; [_CV10, 7] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 7] setWaypointSpeed "NORMAL";} else { [_CV10, 7] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10661.200195, 9017.501953, 151.762833],0]; [_CV10, 8] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 8] setWaypointSpeed "NORMAL";} else { [_CV10, 8] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10669.609375, 8970.904297, 150.975006],0]; [_CV10, 9] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10, 9] setWaypointSpeed "NORMAL";} else { [_CV10, 9] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10659.442383, 9017.046875, 151.708450],0]; [_CV10,10] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,10] setWaypointSpeed "NORMAL";} else { [_CV10,10] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10748.187500, 9074.001953, 161.235001],0]; [_CV10,11] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,11] setWaypointSpeed "NORMAL";} else { [_CV10,11] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10548.343750, 9284.380859, 148.096222],0]; [_CV10,12] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,12] setWaypointSpeed "NORMAL";} else { [_CV10,12] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10463.862305, 9399.786133, 123.006149],0]; [_CV10,13] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,13] setWaypointSpeed "NORMAL";} else { [_CV10,13] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10701.996094, 9480.369141, 125.068184],0]; [_CV10,14] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,14] setWaypointSpeed "NORMAL";} else { [_CV10,14] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10696.221680, 9680.772461, 122.985001],0]; [_CV10,15] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,15] setWaypointSpeed "NORMAL";} else { [_CV10,15] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10501.194336, 9760.487305, 122.985001],0]; [_CV10,16] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,16] setWaypointSpeed "NORMAL";} else { [_CV10,16] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10500.460938, 9854.605469, 123.237045],0]; [_CV10,17] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,17] setWaypointSpeed "NORMAL";} else { [_CV10,17] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10088.087891, 9896.567383, 134.739624],0]; [_CV10,18] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,18] setWaypointSpeed "NORMAL";} else { [_CV10,18] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10063.133789, 9995.371094, 139.995239],0]; [_CV10,19] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,19] setWaypointSpeed "NORMAL";} else { [_CV10,19] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10257.344727, 9995.863281, 139.994995],0]; [_CV10,20] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,20] setWaypointSpeed "NORMAL";} else { [_CV10,20] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10060.351563, 9994.962891, 139.995239],0]; [_CV10,21] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,21] setWaypointSpeed "NORMAL";} else { [_CV10,21] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10088.202148, 9894.693359, 134.712372],0]; [_CV10,22] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,22] setWaypointSpeed "NORMAL";} else { [_CV10,22] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10498.845703, 9854.168945, 123.324310],0]; [_CV10,23] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,23] setWaypointSpeed "NORMAL";} else { [_CV10,23] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10515.271484, 9642.839844, 122.985001],0]; [_CV10,24] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,24] setWaypointSpeed "NORMAL";} else { [_CV10,24] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10458.764648, 9627.606445, 122.985001],0]; [_CV10,25] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,25] setWaypointSpeed "NORMAL";} else { [_CV10,25] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10457.875977, 9477.217773, 122.985001],0]; [_CV10,26] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,26] setWaypointSpeed "NORMAL";} else { [_CV10,26] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10392.256836, 9476.896484, 122.985001],0]; [_CV10,27] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,27] setWaypointSpeed "NORMAL";} else { [_CV10,27] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10391.469727, 9378.787109, 122.985001],0]; [_CV10,28] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,28] setWaypointSpeed "NORMAL";} else { [_CV10,28] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10294.271484, 9394.014648, 122.985001],0]; [_CV10,29] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,29] setWaypointSpeed "NORMAL";} else { [_CV10,29] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10146.055664, 9317.351563, 124.040276],0]; [_CV10,30] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,30] setWaypointSpeed "NORMAL";} else { [_CV10,30] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 9530.072266, 9549.804688, 146.769211],0]; [_CV10,31] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,31] setWaypointSpeed "NORMAL";} else { [_CV10,31] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8499.234375, 9446.923828,  11.381906],0]; [_CV10,32] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,32] setWaypointSpeed "NORMAL";} else { [_CV10,32] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 6852.719238, 8084.855957,   7.965000],0]; [_CV10,33] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,33] setWaypointSpeed "NORMAL";} else { [_CV10,33] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 6946.101563, 8227.552734,   4.815000],0]; [_CV10,34] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,34] setWaypointSpeed "NORMAL";} else { [_CV10,34] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8037.293457, 8892.768555,   9.532324],0]; [_CV10,35] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,35] setWaypointSpeed "NORMAL";} else { [_CV10,35] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8723.207031, 8314.051758, 152.211624],0]; [_CV10,36] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,36] setWaypointSpeed "NORMAL";} else { [_CV10,36] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8254.788086, 7831.693359, 178.209808],0]; [_CV10,37] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,37] setWaypointSpeed "NORMAL";} else { [_CV10,37] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8281.388672, 7835.019531, 181.039612],0]; [_CV10,38] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,38] setWaypointSpeed "NORMAL";} else { [_CV10,38] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8724.427734, 8315.206055, 152.286957],0]; [_CV10,39] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,39] setWaypointSpeed "NORMAL";} else { [_CV10,39] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8913.521484, 8256.813477, 163.891983],0]; [_CV10,40] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,40] setWaypointSpeed "NORMAL";} else { [_CV10,40] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8950.875000, 8345.675781, 162.459564],0]; [_CV10,41] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,41] setWaypointSpeed "NORMAL";} else { [_CV10,41] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 9263.024414, 8321.977539, 163.979996],0]; [_CV10,42] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,42] setWaypointSpeed "NORMAL";} else { [_CV10,42] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 8926.823242, 7759.178711, 171.630005],0]; [_CV10,43] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,43] setWaypointSpeed "NORMAL";} else { [_CV10,43] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 9447.451172, 6214.596191,  54.265987],0]; [_CV10,44] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,44] setWaypointSpeed "NORMAL";} else { [_CV10,44] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10166.667969, 6436.566406,  60.900688],0]; [_CV10,45] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,45] setWaypointSpeed "NORMAL";} else { [_CV10,45] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11259.643555, 6126.804199,  24.908413],0]; [_CV10,46] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,46] setWaypointSpeed "NORMAL";} else { [_CV10,46] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11460.606445, 6128.017578,  23.679951],0]; [_CV10,47] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,47] setWaypointSpeed "NORMAL";} else { [_CV10,47] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11608.306641, 6209.122070,  12.960000],0]; [_CV10,48] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,48] setWaypointSpeed "NORMAL";} else { [_CV10,48] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11792.578125, 6282.821289,  25.081020],0]; [_CV10,49] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,49] setWaypointSpeed "NORMAL";} else { [_CV10,49] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11750.194336, 6321.144043,  21.495333],0]; [_CV10,50] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,50] setWaypointSpeed "NORMAL";} else { [_CV10,50] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11795.338867, 6284.288574,  25.351984],0]; [_CV10,51] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,51] setWaypointSpeed "NORMAL";} else { [_CV10,51] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12295.987305, 6783.710449,  23.927225],0]; [_CV10,52] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,52] setWaypointSpeed "NORMAL";} else { [_CV10,52] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12321.200195, 6922.588867,  23.470575],0]; [_CV10,53] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,53] setWaypointSpeed "NORMAL";} else { [_CV10,53] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12178.282227, 7200.152344,  22.043213],0]; [_CV10,54] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,54] setWaypointSpeed "NORMAL";} else { [_CV10,54] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12337.265625, 7185.357422,  14.722252],0]; [_CV10,55] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,55] setWaypointSpeed "NORMAL";} else { [_CV10,55] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12348.475586, 7267.295898,  19.354208],0]; [_CV10,56] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,56] setWaypointSpeed "NORMAL";} else { [_CV10,56] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12592.376953, 6940.238281,  18.000000],0]; [_CV10,57] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,57] setWaypointSpeed "NORMAL";} else { [_CV10,57] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12656.684570, 6790.288086,  14.765594],0]; [_CV10,58] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,58] setWaypointSpeed "NORMAL";} else { [_CV10,58] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[13221.846680, 6887.907715,  13.995249],0]; [_CV10,59] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,59] setWaypointSpeed "NORMAL";} else { [_CV10,59] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[13013.241211, 8492.126953,  23.414024],0]; [_CV10,60] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,60] setWaypointSpeed "NORMAL";} else { [_CV10,60] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12736.228516, 8054.576172,  43.896732],0]; [_CV10,61] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,61] setWaypointSpeed "NORMAL";} else { [_CV10,61] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12501.945313, 8494.549805,  29.228109],0]; [_CV10,62] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,62] setWaypointSpeed "NORMAL";} else { [_CV10,62] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[12735.291016, 8785.117188,  16.959658],0]; [_CV10,63] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,63] setWaypointSpeed "NORMAL";} else { [_CV10,63] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11748.188477,10218.421875,  28.500000],0]; [_CV10,64] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,64] setWaypointSpeed "NORMAL";} else { [_CV10,64] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10947.508789,10624.132813,  16.979700],0]; [_CV10,65] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,65] setWaypointSpeed "NORMAL";} else { [_CV10,65] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[ 9740.432617,11009.057617,  15.075000],0]; [_CV10,66] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,66] setWaypointSpeed "NORMAL";} else { [_CV10,66] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10947.863281,10623.506836,  16.960585],0]; [_CV10,67] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,67] setWaypointSpeed "NORMAL";} else { [_CV10,67] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10500.449219, 9855.438477, 123.237724],0]; [_CV10,68] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,68] setWaypointSpeed "NORMAL";} else { [_CV10,68] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10501.868164, 9760.388672, 122.985001],0]; [_CV10,69] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,69] setWaypointSpeed "NORMAL";} else { [_CV10,69] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10694.083984, 9679.132813, 122.985001],0]; [_CV10,70] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,70] setWaypointSpeed "NORMAL";} else { [_CV10,70] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10703.813477, 9481.085938, 125.162155],0]; [_CV10,71] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,71] setWaypointSpeed "NORMAL";} else { [_CV10,71] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[10832.921875, 9505.142578, 134.537842],0]; [_CV10,72] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,72] setWaypointSpeed "NORMAL";} else { [_CV10,72] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11589.978516, 9246.352539, 214.458450],0]; [_CV10,73] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]"]; if (random(10) < 8) then {[_CV10,73] setWaypointSpeed "NORMAL";} else { [_CV10,73] setWaypointSpeed "FULL";};
_wp = _CV10 addWaypoint [[11588.818359, 9165.375000, 222.949722],0]; [_CV10,74] setWaypointType "CYCLE"; [_CV10,74] setWaypointStatements ["true", "CV10_1 setFuel 1.0; CV10_1 setDammage 0.0; civhorn action [""useWeapon"",CV10_1,driver(CV10_1),0]; CV10_2 moveInDriver CV10_1"];

_CV12 = createGroup Civilian;
CV12_1 = "UralCivil" createVehicle [9786.942383,9805.096680,138.119415];
clearMagazineCargo CV12_1;
CV12_1 setDir 90.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_2 = this; this moveInDriver CV12_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_3 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_4 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_5 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_6 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_7 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_8 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_9 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_10 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_11 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV12,"CV12_12 = this; this moveInCargo [CV12_1,ceil(random(13))]",0.2,"private"];};
_wp = _CV12 addWaypoint [[10090.225586,9894.611328,134.702835],0];
[_CV12,1] setWaypointCombatmode "BLUE";
[_CV12,1] setWaypointSpeed "NORMAL";
[_CV12,1] setWaypointBehaviour "SAFE";
_wp = _CV12 addWaypoint [[10499.404297, 9855.899414,123.290466],0]; [_CV12, 2] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"]; if (random(10) < 8) then {[_CV12, 2] setWaypointSpeed "NORMAL";} else {[_CV12, 2] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[10947.142578,10623.506836, 16.993151],0]; [_CV12, 3] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 3] setWaypointSpeed "NORMAL";} else {[_CV12, 3] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 9680.091797,11021.695313, 15.030000],0]; [_CV12, 4] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 4] setWaypointSpeed "NORMAL";} else {[_CV12, 4] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 8671.306641,10085.000977,  8.855395],0]; [_CV12, 5] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 5] setWaypointSpeed "NORMAL";} else {[_CV12, 5] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 8232.974609, 9647.621094,  6.975249],0]; [_CV12, 6] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 6] setWaypointSpeed "NORMAL";} else {[_CV12, 6] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 8499.813477, 9447.375000, 11.427371],0]; [_CV12, 7] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 7] setWaypointSpeed "NORMAL";} else {[_CV12, 7] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 9528.092773, 9549.725586,146.656067],0]; [_CV12, 8] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 8] setWaypointSpeed "NORMAL";} else {[_CV12, 8] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 9528.018555, 9804.656250,139.995239],0]; [_CV12, 9] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]"];	if (random(10) < 8) then {[_CV12, 9] setWaypointSpeed "NORMAL";} else {[_CV12, 9] setWaypointSpeed "FULL";};
_wp = _CV12 addWaypoint [[ 9827.493164, 9804.699219,135.336685],0]; [_CV12,10] setWaypointType "CYCLE"; [_CV12,10] setWaypointStatements ["true", "CV12_1 setFuel 1.0; CV12_1 setDammage 0.0; civhorn action [""useWeapon"",CV12_1,driver(CV12_1),0]; CV12_2 moveInDriver CV12_1"];

_CV14 = createGroup Civilian;
CV14_1 = "tractor" createVehicle [9755.161133,8923.058594,174.263672];
CV14_1 setDir 180.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV14,"CV14_2 = this; this moveInDriver CV14_1",0.9,"corporal"];
_wp = _CV14 addWaypoint [[9704.302734,8745.328125,172.140900],0];
[_CV14,1] setWaypointCombatmode "BLUE";
[_CV14,1] setWaypointSpeed "NORMAL";
[_CV14,1] setWaypointBehaviour "SAFE";
_wp = _CV14 addWaypoint [[ 9672.666992, 8736.629883,173.120270],0]; [_CV14, 2] setWaypointSpeed "LIMITED";
_wp = _CV14 addWaypoint [[ 9705.567383, 8745.613281,172.106903],0]; [_CV14, 3] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9781.638672, 8675.269531,171.501801],0]; [_CV14, 4] setWaypointSpeed "NORMAL";
_wp = _CV14 addWaypoint [[ 9847.501953, 8713.570313,170.630753],0]; [_CV14, 5] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9860.798828, 8612.139648,176.029465],0]; [_CV14, 6] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9859.512695, 8602.126953,177.890015],0]; [_CV14, 7] setWaypointSpeed "LIMITED";
_wp = _CV14 addWaypoint [[ 9862.115234, 8618.318359,175.840469],0]; [_CV14, 8] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9848.089844, 8713.869141,170.612137],0]; [_CV14, 9] setWaypointSpeed "NORMAL";
_wp = _CV14 addWaypoint [[10137.117188, 8986.124023,147.380188],0]; [_CV14,10] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[10319.807617, 8871.552734,149.838837],0]; [_CV14,11] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[10112.882813, 8373.975586,202.320007],0]; [_CV14,12] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[10129.962891, 8357.504883,202.320007],0]; [_CV14,13] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[10116.847656, 8420.031250,202.318634],0]; [_CV14,14] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9763.991211, 8384.158203,181.129364],0]; [_CV14,15] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]"];
_wp = _CV14 addWaypoint [[ 9543.047852, 8644.728516,173.279068],0]; [_CV14,16] setWaypointSpeed "LIMITED";
_wp = _CV14 addWaypoint [[ 9754.242188, 8864.374023,174.653870],0]; [_CV14,17] setWaypointType "CYCLE"; [_CV14,17] setWaypointStatements ["true", "CV14_1 setFuel 1.0; CV14_1 setDammage 0.0; civhorn action [""useWeapon"",CV14_1,driver(CV14_1),0]; CV14_2 moveInDriver CV14_1"];

_CV16 = createGroup Civilian;
CV16_1 = "Skoda" createVehicle [10646.708984,9291.682617,153.000000];
CV16_1 setDir 90.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV16,"CV16_2 = this; this moveInDriver CV16_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV16,"CV16_3 = this; this moveInCargo CV16_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV16,"CV16_4 = this; this moveInCargo CV16_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV16,"CV16_5 = this; this moveInCargo CV16_1",0.2,"private"];};
_wp = _CV16 addWaypoint [[10465.074219,9399.935547,122.991348],0];
[_CV16,1] setWaypointCombatmode "BLUE";
[_CV16,1] setWaypointSpeed "NORMAL";
[_CV16,1] setWaypointBehaviour "SAFE";
[_CV16,1] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];
_wp = _CV16 addWaypoint [[10585.086914, 9450.962891,122.985001],0]; [_CV16, 2] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 2] setWaypointSpeed "NORMAL";} else { [_CV16, 2] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10597.546875, 9729.858398,122.985001],0]; [_CV16, 3] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 3] setWaypointSpeed "NORMAL";} else { [_CV16, 3] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10501.673828, 9761.055664,122.985001],0]; [_CV16, 4] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 4] setWaypointSpeed "NORMAL";} else { [_CV16, 4] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10948.587891,10623.496094, 16.927855],0]; [_CV16, 5] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 5] setWaypointSpeed "NORMAL";} else { [_CV16, 5] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[11744.537109,10216.757813, 28.500000],0]; [_CV16, 6] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 6] setWaypointSpeed "NORMAL";} else { [_CV16, 6] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[12966.484375, 8847.410156, 19.645489],0]; [_CV16, 7] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 7] setWaypointSpeed "NORMAL";} else { [_CV16, 7] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[13013.963867, 8492.117188, 23.413185],0]; [_CV16, 8] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 8] setWaypointSpeed "NORMAL";} else { [_CV16, 8] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[13222.755859, 6887.883301, 13.995249],0]; [_CV16, 9] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16, 9] setWaypointSpeed "NORMAL";} else { [_CV16, 9] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[12295.718750, 6782.401367, 23.848366],0]; [_CV16,10] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,10] setWaypointSpeed "NORMAL";} else { [_CV16,10] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[11296.464844, 6923.887695, 33.395897],0]; [_CV16,11] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,11] setWaypointSpeed "NORMAL";} else { [_CV16,11] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10912.689453, 6578.553223, 35.089985],0]; [_CV16,12] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,12] setWaypointSpeed "NORMAL";} else { [_CV16,12] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10777.405273, 6346.190430, 37.408779],0]; [_CV16,13] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,13] setWaypointSpeed "NORMAL";} else { [_CV16,13] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[11259.180664, 6127.429199, 24.941431],0]; [_CV16,14] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,14] setWaypointSpeed "NORMAL";} else { [_CV16,14] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[11431.574219, 5886.584961, 20.969999],0]; [_CV16,15] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,15] setWaypointSpeed "NORMAL";} else { [_CV16,15] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10384.246094, 5263.334961, 18.698544],0]; [_CV16,16] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,16] setWaypointSpeed "NORMAL";} else { [_CV16,16] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10362.915039, 5242.985840, 18.948191],0]; [_CV16,17] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,17] setWaypointSpeed "NORMAL";} else { [_CV16,17] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 9799.991211, 5362.595215, 26.552395],0]; [_CV16,18] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,18] setWaypointSpeed "NORMAL";} else { [_CV16,18] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 9419.699219, 6061.605469, 53.459999],0]; [_CV16,19] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,19] setWaypointSpeed "NORMAL";} else { [_CV16,19] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7574.962891, 6380.858887, 11.970000],0]; [_CV16,20] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,20] setWaypointSpeed "NORMAL";} else { [_CV16,20] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7563.675781, 6481.622070, 20.250357],0]; [_CV16,21] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,21] setWaypointSpeed "NORMAL";} else { [_CV16,21] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7569.241211, 6512.290039, 24.740057],0]; [_CV16,22] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,22] setWaypointSpeed "NORMAL";} else { [_CV16,22] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7582.495605, 6585.142578, 39.642281],0]; [_CV16,23] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,23] setWaypointSpeed "NORMAL";} else { [_CV16,23] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7574.360840, 6381.290039, 11.970000],0]; [_CV16,24] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,24] setWaypointSpeed "NORMAL";} else { [_CV16,24] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 9420.074219, 6060.949707, 53.453968],0]; [_CV16,25] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,25] setWaypointSpeed "NORMAL";} else { [_CV16,25] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 9447.466797, 6213.375000, 54.257298],0]; [_CV16,26] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,26] setWaypointSpeed "NORMAL";} else { [_CV16,26] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 9262.278320, 8321.994141,163.979996],0]; [_CV16,27] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,27] setWaypointSpeed "NORMAL";} else { [_CV16,27] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8950.694336, 8346.346680,162.434692],0]; [_CV16,28] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,28] setWaypointSpeed "NORMAL";} else { [_CV16,28] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8912.855469, 8256.465820,163.883026],0]; [_CV16,29] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,29] setWaypointSpeed "NORMAL";} else { [_CV16,29] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8038.694336, 8892.785156,  9.519295],0]; [_CV16,30] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,30] setWaypointSpeed "NORMAL";} else { [_CV16,30] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7766.466309, 8822.485352,  5.849702],0]; [_CV16,31] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,31] setWaypointSpeed "NORMAL";} else { [_CV16,31] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 7618.152344, 9048.145508,  5.918738],0]; [_CV16,32] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,32] setWaypointSpeed "NORMAL";} else { [_CV16,32] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8093.251953, 9403.957031,  5.953030],0]; [_CV16,33] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,33] setWaypointSpeed "NORMAL";} else { [_CV16,33] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8218.200195, 9127.514648,  9.940949],0]; [_CV16,34] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,34] setWaypointSpeed "NORMAL";} else { [_CV16,34] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8173.921875, 9011.945313, 10.634145],0]; [_CV16,35] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,35] setWaypointSpeed "NORMAL";} else { [_CV16,35] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8309.740234, 9011.547852, 15.975000],0]; [_CV16,36] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,36] setWaypointSpeed "NORMAL";} else { [_CV16,36] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8309.540039, 9171.261719,  9.615488],0]; [_CV16,37] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,37] setWaypointSpeed "NORMAL";} else { [_CV16,37] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[ 8498.562500, 9447.202148, 11.354372],0]; [_CV16,38] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,38] setWaypointSpeed "NORMAL";} else { [_CV16,38] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10146.844727, 9317.540039,124.029617],0]; [_CV16,39] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,39] setWaypointSpeed "NORMAL";} else { [_CV16,39] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10137.491211, 8986.640625,147.313858],0]; [_CV16,40] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,40] setWaypointSpeed "NORMAL";} else { [_CV16,40] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10320.272461, 8872.103516,149.784103],0]; [_CV16,41] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,41] setWaypointSpeed "NORMAL";} else { [_CV16,41] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10748.779297, 9074.441406,161.235001],0]; [_CV16,42] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,42] setWaypointSpeed "NORMAL";} else { [_CV16,42] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10871.034180, 9320.375000,144.696762],0]; [_CV16,43] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]"];	if (random(10) < 8) then {[_CV16,43] setWaypointSpeed "NORMAL";} else { [_CV16,43] setWaypointSpeed "FULL";};
_wp = _CV16 addWaypoint [[10642.235352, 9291.176758,153.000000],0]; [_CV16,44] setWaypointType "CYCLE"; [_CV16,44] setWaypointStatements ["true", "CV16_1 setFuel 1.0; CV16_1 setDammage 0.0; civhorn action [""useWeapon"",CV16_1,driver(CV16_1),0]; CV16_2 moveInDriver CV16_1"];

_CV18 = createGroup Civilian;
CV18_1 = "hilux1_civil_3_open" createVehicle [7097.795898,7517.381348,134.747360];
CV18_1 setDir 90.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV18,"CV18_2 = this; this moveInDriver CV18_1",0.9,"corporal"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV18,"CV18_3 = this; this moveInCargo CV18_1",0.2,"private"];};
_wp = _CV18 addWaypoint [[10147.495117,9316.881836,124.059006],0];
[_CV18,1] setWaypointCombatmode "BLUE";
[_CV18,1] setWaypointSpeed "NORMAL";
[_CV18,1] setWaypointBehaviour "SAFE";
[_CV18,1] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"];
_wp = _CV18 addWaypoint [[10947.863281,10623.506836, 16.960585],0]; [_CV18, 2] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,2] setWaypointSpeed "NORMAL";} else { [_CV18,2] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[12061.411133, 9838.762695, 19.722422],0]; [_CV18, 3] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,3] setWaypointSpeed "NORMAL";} else { [_CV18,3] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[13026.254883, 7548.846680, 46.697758],600.000000]; [_CV18, 4] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,4] setWaypointSpeed "NORMAL";} else { [_CV18,4] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[12061.411133, 9838.762695, 19.722422],0]; [_CV18, 5] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,5] setWaypointSpeed "NORMAL";} else { [_CV18,5] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[10947.863281,10623.506836, 16.960585],0]; [_CV18, 6] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,6] setWaypointSpeed "NORMAL";} else { [_CV18,6] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[10147.748047, 9317.819336,124.014458],0]; [_CV18, 7] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0"]; if (random(10) < 8) then {[_CV18,7] setWaypointSpeed "NORMAL";} else { [_CV18,7] setWaypointSpeed "FULL";};
_wp = _CV18 addWaypoint [[ 7103.416016, 7518.217285,135.524139],500.000000]; [_CV18, 8] setWaypointType "CYCLE"; [_CV18, 8] setWaypointStatements ["true", "CV18_1 setFuel 1.0; CV18_1 setDammage 0.0; CV18_2 moveInDriver CV18_1"]; if (random(10) < 8) then {[_CV18,8] setWaypointSpeed "NORMAL";} else { [_CV18,8] setWaypointSpeed "FULL";};



_CV20 = createGroup Civilian;
CV20_1 = "Skoda" createVehicle [8215.767578,7755.984863,176.985001];
CV20_1 setDir 135.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV20,"CV20_2 = this; this moveInDriver CV20_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV20,"CV20_3 = this; this moveInCargo CV20_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV20,"CV20_4 = this; this moveInCargo CV20_1",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV20,"CV20_5 = this; this moveInCargo CV20_1",0.2,"private"];};
_wp = _CV20 addWaypoint [[8347.617188,7363.146973,170.442642],0];
[_CV20,1] setWaypointSpeed "LIMITED";
[_CV20,1] setWaypointBehaviour "SAFE";
[_CV20,1] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7875.914063, 7237.810059,160.762695],0];	[_CV20, 2] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7597.864258, 7438.633789,172.890442],0];	[_CV20, 3] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7633.651367, 7620.918945,177.184296],0];	[_CV20, 4] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7857.754395, 7443.879395,176.743942],0]; [_CV20, 5] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7598.983887, 7436.102539,172.702148],0]; [_CV20, 6] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7887.546387, 7237.056641,160.230560],0]; [_CV20, 7] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 8350.544922, 7364.388672,170.680862],0]; [_CV20, 8] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 7856.771484, 7442.699219,176.752029],0]; [_CV20, 9] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]"];
_wp = _CV20 addWaypoint [[ 8211.210938, 7761.568359,176.985001],0]; [_CV20,10] setWaypointType "CYCLE"; [_CV20,10] setWaypointStatements ["true", "CV20_1 setFuel 1.0; CV20_1 setDammage 0.0; civhorn action [""useWeapon"",CV20_1,driver(CV20_1),0]; CV20_2 moveInDriver CV20_1"];

_CV22 = createGroup Civilian;
CV22_1 = "datsun1_civil_2_covered" createVehicle [10755.555664,5030.387695,9.990000];
CV22_1 setDir 270.000000;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV22,"CV22_2 = this; this moveInDriver CV22_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CV22,"CV22_3 = this; this moveInCargo CV22_1",0.2,"private"];};
_wp = _CV22 addWaypoint [[10691.735352,5033.223145,9.990000],0];
[_CV22,1] setWaypointSpeed "NORMAL";
[_CV22,1] setWaypointBehaviour "SAFE";
[_CV22,1] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];
_wp = _CV22 addWaypoint [[10361.894531, 5243.940430, 18.879583],0]; [_CV22, 2] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"]; if (random(10) < 8) then {[_CV22, 2] setWaypointSpeed "NORMAL";} else { [_CV22, 2] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 9799.844727, 5363.403320, 26.556755],0]; [_CV22, 3] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 3] setWaypointSpeed "NORMAL";} else { [_CV22, 3] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 9235.857422, 5144.369141, 20.939478],0]; [_CV22, 4] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 4] setWaypointSpeed "NORMAL";} else { [_CV22, 4] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 7574.944824, 6380.088867, 11.970000],0]; [_CV22, 5] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 5] setWaypointSpeed "NORMAL";} else { [_CV22, 5] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 6947.587891, 8227.527344,  4.815000],0]; [_CV22, 6] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 6] setWaypointSpeed "NORMAL";} else { [_CV22, 6] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 7797.578125, 9166.468750,  4.995000],0]; [_CV22, 7] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 7] setWaypointSpeed "NORMAL";} else { [_CV22, 7] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 8248.401367, 9627.857422,  6.975000],0]; [_CV22, 8] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 8] setWaypointSpeed "NORMAL";} else { [_CV22, 8] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 8234.873047, 9647.113281,  6.975249],0]; [_CV22, 9] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22, 9] setWaypointSpeed "NORMAL";} else { [_CV22, 9] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 8673.099609,10084.958984,  8.811393],0]; [_CV22,10] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,10] setWaypointSpeed "NORMAL";} else { [_CV22,10] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 9682.903320,11021.699219, 15.030000],0]; [_CV22,11] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,11] setWaypointSpeed "NORMAL";} else { [_CV22,11] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10962.156250,10631.042969, 15.921901],0]; [_CV22,12] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,12] setWaypointSpeed "NORMAL";} else { [_CV22,12] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[11744.602539,10217.503906, 28.500000],0]; [_CV22,13] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,13] setWaypointSpeed "NORMAL";} else { [_CV22,13] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[12061.411133, 9838.762695, 19.722422],0]; [_CV22,14] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,14] setWaypointSpeed "NORMAL";} else { [_CV22,14] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[12736.290039, 8786.157227, 16.979879],0]; [_CV22,15] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,15] setWaypointSpeed "NORMAL";} else { [_CV22,15] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[12501.973633, 8495.855469, 29.227795],0]; [_CV22,16] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,16] setWaypointSpeed "NORMAL";} else { [_CV22,16] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[12734.525391, 8054.735352, 43.901787],0]; [_CV22,17] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,17] setWaypointSpeed "NORMAL";} else { [_CV22,17] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[11044.572266, 6741.458984, 58.512035],0]; [_CV22,18] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,18] setWaypointSpeed "NORMAL";} else { [_CV22,18] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10791.591797, 6338.550781, 35.890411],0]; [_CV22,19] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,19] setWaypointSpeed "NORMAL";} else { [_CV22,19] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 9447.844727, 6215.212402, 54.291836],0]; [_CV22,20] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,20] setWaypointSpeed "NORMAL";} else { [_CV22,20] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[ 9800.392578, 5360.003906, 26.542938],0]; [_CV22,21] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,21] setWaypointSpeed "NORMAL";} else { [_CV22,21] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10690.901367, 5033.166992,  9.990000],0]; [_CV22,22] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,22] setWaypointSpeed "NORMAL";} else { [_CV22,22] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10748.465820, 4951.456055,  9.990000],0]; [_CV22,23] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,23] setWaypointSpeed "NORMAL";} else { [_CV22,23] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10823.689453, 5031.325684,  9.990000],0]; [_CV22,24] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]"];	if (random(10) < 8) then {[_CV22,24] setWaypointSpeed "NORMAL";} else { [_CV22,24] setWaypointSpeed "FULL";};
_wp = _CV22 addWaypoint [[10745.311523, 5030.384766,  9.990000],0]; [_CV22,25] setWaypointType "CYCLE"; [_CV22,25] setWaypointStatements ["true", "CV22_1 setFuel 1.0; CV22_1 setDammage 0.0; civhorn action [""useWeapon"",CV22_1,driver(CV22_1),0]; CV22_2 moveInDriver CV22_1"];

// Creates civilian traffic slowdown points in the south:
// Dolores
_trg = createTrigger["EmptyDetector",[11671.657227,6203.922852, 13.046895]]; _trg setTriggerArea[100,100,-30,true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Corazol (south west)
_trg = createTrigger["EmptyDetector",[12966.479492,8847.922852, 19.645369]]; _trg setTriggerArea[ 50, 50,  0,true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Somato (south east)
_trg = createTrigger["EmptyDetector",[ 9248.666016,8221.084961,163.979996]]; _trg setTriggerArea[ 50, 50,  0,true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Paraiso (south east)
_trg = createTrigger["EmptyDetector",[10838.767578,9497.791016,134.760803]]; _trg setTriggerArea[ 50, 50,  0,true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];
// Paraiso (south west)
_trg = createTrigger["EmptyDetector",[10319.079102,9383.369141,122.985001]]; _trg setTriggerArea[ 20, 20, 20,true]; _trg setTriggerActivation["CIV","PRESENT",true]; _trg setTriggerStatements["this","{_x setSpeedMode ""LIMITED""} forEach thisList","{_x setSpeedMode ""NORMAL""} forEach thisList"];


// In a few locations in wrecks are placed in gardens because around some junctions some traffic prefered the garden above the road.
// West-Paraiso
Wreck02 = "hiluxWreck" createVehicle [10264.874023, 9382.375000,123.065033];
Wreck02 setDir 300.000000;

