// Populates large farms, hamlets, gas stations, industrial estates, villages and towns in the south of Sahrani with civilians.

// Declaration of private variables.
private ["_fillFactor","_res","_agent"];

activateAddons["cacharacter"];

// This parameter determines the amount of people.
// 5 is default, (as the amount found in a small village or a quarter of Paraiso, Ortego or Dolores.)
// Around 2 will be found near a large farm or gas station.
// Than the total will be around 350 civilians, note that the islands of Rahmadi and Isla de Libertad also get some civilans
_fillFactor = _this select 0;

_agent = createAgent ["civilian",[9527.875977,3481.241455,5.651615],[],0,"NONE"];

_res = [[12734.042969, 8743.734375, 19.335680],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12952.513672, 8751.210938, 19.504776],100,150, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13215.811523, 8873.148438, 19.485001],200,175, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12824.951172, 8663.686523, 26.799500],200,175, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12188.327148, 7064.240234, 32.559181],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12640.093750, 7132.650879, 35.704979],100,150, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12420.335938, 7002.865723, 19.938501],200,125, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12384.782227, 7301.747070, 19.393137],200,175, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11528.498047, 6159.968750, 29.596655], 80, 75, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11815.919922, 6418.195313, 48.831367], 25, 25, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11377.376953, 5855.147461, 22.997662],200, 75, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11737.644531, 6354.001953, 22.089725], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11860.093750, 6121.388184,  9.411522],100, 25, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11233.869141, 6041.858887, 26.864534], 75,150, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11700.479492, 5864.513672, 34.176376],150,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9352.091797, 5926.028320, 45.990002],200,200, round(2.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9316.529297, 5235.796875, 28.477207],150,150, round(2.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10765.322266, 5074.308105,  9.990000],150,170, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10695.287109, 4714.485352, 16.385918], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10595.171875, 4767.207031, 10.091970], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10494.673828, 4807.404785, 10.997040], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10792.599609, 4864.006348,  4.855216], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7630.044434, 6319.701660, 11.970000],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7533.361816, 6560.277832, 37.189060],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11297.343750, 5392.875488, 13.036978],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11194.008789, 5254.958984,  6.567451],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11440.625977, 5473.599609,  6.562796],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 6405.421387, 7461.929688, 56.552490], 50, 50, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 6938.496094, 8158.764160, 16.005783],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 6822.311035, 8104.707031, 14.761372],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8286.387695, 9095.172852, 14.749520],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8165.310547, 8932.830078, 11.970000],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 2897.813965, 2884.184570, 21.233450], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 2913.435059, 3062.001953,  5.738661], 10, 10, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 2623.854492, 2680.607910, 15.045467],200,200, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11763.627930,10222.759766, 28.478233], 20, 20, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9707.830078,11004.868164, 15.030000],100, 40, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9428.981445,10954.001953, 40.097721], 30, 30, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9116.892578,10616.830078,114.989357], 60, 30, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[13237.716797, 6908.486328, 20.000809], 90, 70, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12773.039063, 8078.829102, 43.965000], 20, 20, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12288.606445, 6828.229004, 31.851070], 20, 20, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10189.969727, 6407.930176, 61.607597], 30, 30, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8794.083984, 6986.852539,130.384338], 20, 20, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8909.864258, 6120.212402, 34.965000], 15, 15, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10740.236328, 7337.532715,139.971100], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10276.872070, 7353.011230, 51.201309], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8468.636719, 9430.074219, 17.608023], 20, 20, round(0.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8640.348633,10078.424805,  9.001568], 30, 30, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8281.153320, 9709.403320,  7.199912], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8227.889648, 9608.516602,  6.975000], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8250.450195, 9513.897461,  4.748513], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8117.226563, 9395.642578,  5.592064], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7975.034180, 9343.066406,  4.877370], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8066.734375, 9279.708008,  5.909892], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7799.424316, 9184.361328,  4.995000], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7644.647949, 9121.071289,  5.699500], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7650.288086, 9020.187500,  5.319889], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7474.208496, 8903.633789,  5.585907], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 7417.176758, 8772.866211,  8.671728], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9433.403320, 5181.029297, 31.685516], 15, 15, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10386.788086, 5252.943359, 19.103939], 15, 15, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11930.724609, 6407.868652, 32.746418], 20, 20, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8902.941406, 7794.867188,171.596298],100, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9757.281250, 8679.635742,171.668335],100, 80, round(1.6*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10146.166992, 8394.656250,202.320007], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11195.058594, 8817.179688,233.860687],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[11536.924805, 9113.257813,225.148163],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9196.161133, 8165.791016,167.379776], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9193.204102, 8271.275391,176.090088], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 9235.101563, 8379.716797,163.979996], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[ 8951.749023, 8432.008789,162.000000], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10634.321289, 9596.562500,122.985001], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10525.335938, 9562.749023,123.021790], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10400.757813, 9535.794922,122.985001], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10177.680664, 9438.041016,145.966446],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10297.368164, 9251.308594,127.980003], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10318.047852, 9102.172852,157.994995], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10652.663086, 8969.956055,150.975006], 50, 50, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10657.048828, 9280.132813,153.036911],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[10415.087891, 9369.972656,122.985001],100,100, round(1.0*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";
_res = [[12607.953125,10849.399414,  5.637306], 30, 30, round(0.4*_fillFactor)] execVM "CSL_PopulateIsland\CSL_PopulateIsland.sqf";

