// usage:
// run this script on man you want to be removed after death

// parameter 1 is a man.  may or may not work on vehicles, untested.

// usage example:
// [Soldier1] execVM "CSL_Utility\CSL_Bring_Out_Your_Dead.sqf"

// a more flexible way of using this script, is to use a foreach loop and execute it for everyone in the group.
// you can even rig up a trigger to make it execute for every man on the map at mission start, then just add this
// script call to any spawn scripts you have.

// set variable scope
private ["_removeBodyAfterTime", "_unitToRemoveWhenDead", "_i", "_j"];

// should be the unit that you called this script on
_unitToRemoveWhenDead = _this select 0;

// removes the body after the specified number of seconds have passed
// in this case, 5 mins
_removeBodyAfterTime = 300;

// waits till the guy is dead.  Pretty coarse detection, we don't need fine precision here.
// the loop nesting is to prevent the loop from erroring and to make it last practically forever.
// this loop will run for years without error.
_i = 0;
while {(alive _unitToRemoveWhenDead) and (_i < 9999)} do
{
    _j = 0;
    while {(alive _unitToRemoveWhenDead) and (_j < 9999)} do
    {
        sleep 30;
        _j = _j + 1;
    };
    _i = _i + 1;
};

// wait the specified amount of time to mop up
sleep _removeBodyAfterTime;

// hideBody makes the body sink into the ground
hideBody _unitToRemoveWhenDead;

// wait a few secs for the body to be hidden
sleep 10;

// remove the body permanently
deleteVehicle _unitToRemoveWhenDead;