// Creates three moving boats:
// From Hunapu to Isla de Vida;
// From Corazol to Isla de Libertad;
// From the bay south of Roca del Dror to Antigua;
// and five empty boats in the north of Sahrani
private ["_wp","_CB01","_CB03","_CB05","_numberOfTypes","_civillianTypes"];

activateAddons["cawater","CAWheeled"];

// Civilian types that will be the coxswain and randomly fill the boats as passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
_numberOfTypes = 21;


_CB01 = createGroup Civilian;
CB01_1 = "PBX" createVehicle [7719.727539,15603.398438,-2.148775];
CB01_1 setDir 180.000000;
clearMagazineCargo CB01_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB01,"CB01_2 = this; this moveInDriver CB01_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB01,"CB01_3 = this; this moveInCargo [CB01_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB01,"CB01_4 = this; this moveInCargo [CB01_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB01,"CB01_5 = this; this moveInCargo [CB01_1,ceil(random(3))]",0.2,"private"];};
_wp = _CB01 addWaypoint [[ 7719.749023,15598.481445, -3.001192],0]; [_CB01, 1] setWaypointSpeed "LIMITED"; [_CB01, 1] setWaypointTimeout[30,60,45]; [_CB01, 1] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 7522.057617,14839.384766,-19.794893],0]; [_CB01, 2] setWaypointSpeed "FULL"; [_CB01, 2] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 5218.181641,15508.579102,-10.127572],0]; [_CB01, 3] setWaypointSpeed "FULL"; [_CB01, 3] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 5092.297363,15628.225586,  0.759285],0]; [_CB01, 4] setWaypointSpeed "LIMITED"; [_CB01, 4] setWaypointTimeout[30,60,45]; [_CB01, 4] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 5113.164063,15628.310547, -2.070857],0]; [_CB01, 5] setWaypointSpeed "LIMITED"; [_CB01, 5] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 7543.760742,14807.469727,  0.309641],0]; [_CB01, 6] setWaypointSpeed "FULL"; [_CB01, 6] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 7706.347168,15475.808594, -4.814725],0]; [_CB01, 7] setWaypointSpeed "NORMAL"; [_CB01, 7] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];
_wp = _CB01 addWaypoint [[ 7723.833496,15593.472656, -3.092854],0]; [_CB01, 8] setWaypointType  "CYCLE"; [_CB01, 8] setWaypointSpeed "LIMITED"; [_CB01, 8] setWaypointStatements ["true", "CB01_1 setFuel 1.0; CB01_1 setDammage 0.0;"];

_CB03 = createGroup Civilian;
CB03_1 = "PBX" createVehicle [13180.308594,9111.337891,-2.022915];
CB03_1 setDir 35.000000;
clearMagazineCargo CB03_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB03,"CB03_2 = this; this moveInDriver CB03_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB03,"CB03_3 = this; this moveInCargo [CB03_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB03,"CB03_4 = this; this moveInCargo [CB03_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB03,"CB03_5 = this; this moveInCargo [CB03_1,ceil(random(3))]",0.2,"private"];};
_wp = _CB03 addWaypoint [[13202.303711, 9082.556641,  0.276439],0]; [_CB03, 1] setWaypointSpeed "LIMITED"; [_CB03, 1] setWaypointTimeout[30,60,45]; [_CB03, 1] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[13203.010742, 9158.585938,  0.383070],0]; [_CB03, 2] setWaypointSpeed "LIMITED"; [_CB03, 2] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[13010.675781, 9205.082031, -2.025000],0]; [_CB03, 3] setWaypointSpeed "NORMAL"; [_CB03, 3] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[12640.083008,10721.065430, -1.010679],0]; [_CB03, 4] setWaypointSpeed "FULL"; [_CB03, 4] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[12598.798828,10761.712891,  0.330287],0]; [_CB03, 5] setWaypointSpeed "LIMITED"; [_CB03, 5] setWaypointTimeout[30,60,45];
_wp = _CB03 addWaypoint [[12626.082031,10715.226563, -1.389391],0]; [_CB03, 6] setWaypointSpeed "LIMITED"; [_CB03, 6] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[12613.398438,10026.896484,  0.142826],200.000000]; [_CB03, 7] setWaypointSpeed "FULL"; [_CB03, 7] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[12986.688477, 9213.074219, -2.025000],0]; [_CB03, 8] setWaypointSpeed "FULL"; [_CB03, 8] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];
_wp = _CB03 addWaypoint [[13197.417969, 9087.076172,  0.240775],0]; [_CB03, 9] setWaypointType  "CYCLE"; [_CB03, 9] setWaypointSpeed "NORMAL"; [_CB03, 9] setWaypointStatements ["true", "CB03_1 setFuel 1.0; CB03_1 setDammage 0.0;"];

_CB05 = createGroup Civilian;
CB05_1 = "PBX" createVehicle [14287.977539,16464.312500,-1.139771];
CB05_1 setDir 40.000000;
clearMagazineCargo CB05_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB05,"CB05_2 = this; this moveInDriver CB05_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB05,"CB05_3 = this; this moveInCargo [CB05_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB05,"CB05_4 = this; this moveInCargo [CB05_1,ceil(random(3))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB05,"CB05_5 = this; this moveInCargo [CB05_1,ceil(random(3))]",0.2,"private"];};
_wp = _CB05 addWaypoint [[14301.967773,16485.296875,  -1.762635],0]; [_CB05, 1] setWaypointSpeed "LIMITED"; [_CB05, 1] setWaypointTimeout[30,60,45]; [_CB05,1] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[14343.061523,16569.671875,  -2.003571],0]; [_CB05, 2] setWaypointSpeed "LIMITED"; [_CB05, 2] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17027.767578,18387.671875, -52.489540],0]; [_CB05, 3] setWaypointSpeed "FULL";    [_CB05, 3] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17421.757813,18326.636719,   0.399690],0]; [_CB05, 4] setWaypointSpeed "NORMAL";  [_CB05, 4] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17547.171875,18321.253906,  -2.430157],0]; [_CB05, 5] setWaypointSpeed "LIMITED"; [_CB05, 5] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17651.476563,18357.710938,  -2.099342],0]; [_CB05, 6] setWaypointSpeed "LIMITED"; [_CB05, 6] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17731.478516,18420.496094,  -2.505064],0]; [_CB05, 7] setWaypointSpeed "LIMITED"; [_CB05, 7] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17791.226563,18485.308594,  -1.942218],0]; [_CB05, 8] setWaypointSpeed "LIMITED"; [_CB05, 8] setWaypointTimeout[30,60,45]; [_CB05,7] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17822.617188,18571.384766,  -2.083108],0]; [_CB05, 9] setWaypointSpeed "LIMITED"; [_CB05, 9] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17821.603516,18666.576172,  -2.889993],0]; [_CB05,10] setWaypointSpeed "LIMITED"; [_CB05,10] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[17742.617188,18718.220703, -10.017401],0]; [_CB05,11] setWaypointSpeed "LIMITED"; [_CB05,11] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[16950.406250,18472.320313, -56.211124],0]; [_CB05,12] setWaypointSpeed "NORMAL";  [_CB05,12] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[14397.269531,16643.201172,  -4.032082],0]; [_CB05,13] setWaypointSpeed "FULL";    [_CB05,13] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[14363.257813,16608.697266,  -2.793955],0]; [_CB05,14] setWaypointSpeed "NORMAL";  [_CB05,14] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];
_wp = _CB05 addWaypoint [[14302.051758,16489.289063,  -1.723288],0]; [_CB05,15] setWaypointType  "CYCLE";   [_CB05,15] setWaypointSpeed "LIMITED"; [_CB05,15] setWaypointStatements ["true", "CB05_1 setFuel 1.0; CB05_1 setDammage 0.0;"];

// Five empty zodiacs, can be found at some quay or jetty
CBE01 = "PBX" createVehicle [ 5097.341797,15628.222656, 3.182806]; clearMagazineCargo CBE01; CBE01 setDir  85.000000;
CBE03 = "PBX" createVehicle [ 4937.883789,15852.580078,-0.865951]; clearMagazineCargo CBE03; CBE03 setDir 265.000000;
CBE05 = "PBX" createVehicle [13586.138672, 8666.622070, 3.964131]; clearMagazineCargo CBE05; CBE05 setDir 327.000000;
CBE07 = "PBX" createVehicle [19247.998047,13632.739258,-0.121630]; clearMagazineCargo CBE07; CBE07 setDir 175.000000;
CBE09 = "PBX" createVehicle [11170.099609,16986.046875, 1.837540]; clearMagazineCargo CBE09; CBE09 setDir  85.000000;
