// This function will create fortynine empty civilian vehicles of a RANDOM type at FIXED locations on the northern part of Sahrani.
private ["_chance","_civcarTypes","_numberOfTypes","_maxFuel"];

// This parameter determines the chance that the empty vehicle is locked. The transition point being '1'.
// So below '1' every vehicle will be locked.
// At '2' there is a 50% chance of the vehicle being locked.
// At '4' is a 25% chance of the vehicles will be locked.
// At '100' almost every vehicle will be unlocked.
_chance = _this select 0;

// This second parameter determines the RANDOM amount of fuel in the tank of the empty vehicle.
// The transition point being '1'. If you make it higher than '1' chances will quickly increase of the vehicle having a full load of fuel.
// If you make it lower than '1' chances of the vehicle being low on fuel or out of fuel will increase.
_maxFuel = _this select 1;

_civcarTypes =
[
"Bus_city",
"car_hatchback",
"car_sedan",
"datsun1_civil_1_open",
"datsun1_civil_3_covered",
"datsun1_civil_3_open",
"hilux1_civil_1_open",
"hilux1_civil_2_covered",
"hilux1_civil_3_open",
"Landrover_Police",
"Skoda",
"SkodaBlue",
"SkodaGreen",
"SkodaRed",
"tractor",
"UralCivil",
"UralCivil2"
];
_numberOfTypes = 17;


CVE01 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7568.558594,15665.115234, 42.045452];
clearMagazineCargo CVE01;
CVE01 setDir  75.000000;
CVE01 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE01 lock true;};
CVE02 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 7757.115234,15776.016602, 21.788416];
clearMagazineCargo CVE02;
CVE02 setDir  10.000000;
CVE02 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE02 lock true;};
CVE03 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [ 9742.808594,14417.763672, 46.530891];
clearMagazineCargo CVE03;
CVE03 setDir  55.000000;
CVE03 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE03 lock true;};
CVE04 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [10850.095703,12643.019531, 24.975000];
clearMagazineCargo CVE04;
CVE04 setDir 275.000000;
CVE04 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE04 lock true;};
CVE05 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13135.587891,11259.367188, 25.965000];
clearMagazineCargo CVE05;
CVE05 setDir 275.000000;
CVE05 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE05 lock true;};
CVE06 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13125.158203,11303.925781, 25.965000];
clearMagazineCargo CVE06;
CVE06 setDir 150.000000;
CVE06 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE06 lock true;};
CVE07 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13536.351563,11963.183594, 36.378990];
clearMagazineCargo CVE07;
CVE07 setDir  75.000000;
CVE07 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE07 lock true;};
CVE08 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12535.324219,12702.416992,169.964996];
clearMagazineCargo CVE08;
CVE08 setDir 105.000000;
CVE08 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE08 lock true;};
CVE09 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12567.970703,12690.385742,167.683670];
clearMagazineCargo CVE09;
CVE09 setDir 115.000000;
CVE09 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE09 lock true;};
CVE10 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12438.974609,13405.780273,187.953140];
clearMagazineCargo CVE10;
CVE10 setDir 120.000000;
CVE10 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE10 lock true;};
CVE11 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12513.366211,13380.854492,181.170456];
clearMagazineCargo CVE11;
CVE11 setDir 355.000000;
CVE11 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE11 lock true;};
CVE12 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11544.493164,14440.379883,252.014862];
clearMagazineCargo CVE12;
CVE12 setDir  75.000000;
CVE12 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE12 lock true;};
CVE13 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14897.796875,13766.087891, 48.209827];
clearMagazineCargo CVE13;
CVE13 setDir 358.000000;
CVE13 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE13 lock true;};
CVE14 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [15416.828125,13330.132813, 36.056873];
clearMagazineCargo CVE14;
CVE14 setDir 255.000000;
CVE14 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE14 lock true;};
CVE15 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [15663.979492,13840.429688, 61.491802];
clearMagazineCargo CVE15;
CVE15 setDir 165.000000;
CVE15 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE15 lock true;};
CVE17 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [19205.128906,13629.966797,  4.995000];
clearMagazineCargo CVE16;
CVE17 setDir  10.000000;
CVE17 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE17 lock true;};
CVE16 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [17258.554688,13600.615234, 35.382370];
clearMagazineCargo CVE17;
CVE16 setDir 100.000000;
CVE16 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE16 lock true;};
CVE18 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [17270.695313,14127.666016, 13.455000];
clearMagazineCargo CVE18;
CVE18 setDir 305.000000;
CVE18 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE18 lock true;};
CVE19 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [18898.328125,13972.884766, 25.505487];
clearMagazineCargo CVE19;
CVE19 setDir 315.000000;
CVE19 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE19 lock true;};
CVE20 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [16475.253906, 9365.901367, 12.960000];
clearMagazineCargo CVE20;
CVE20 setDir 170.000000;
CVE20 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE20 lock true;};
CVE21 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [16611.083984, 9200.710938, 12.103399];
clearMagazineCargo CVE21;
CVE21 setDir 130.000000;
CVE21 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE21 lock true;};
CVE22 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [15547.949219, 8795.742188, 29.265091];
clearMagazineCargo CVE22;
CVE22 setDir 358.000000;
CVE22 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE22 lock true;};
CVE23 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [15586.404297, 8924.174805, 31.036230];
clearMagazineCargo CVE23;
CVE23 setDir 235.000000;
CVE23 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE23 lock true;};
CVE25 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14416.026367, 8629.413086, 34.287239];
clearMagazineCargo CVE24;
CVE25 setDir 195.000000;
CVE25 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE25 lock true;};
CVE24 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14530.728516, 8615.083008, 33.233452];
clearMagazineCargo CVE25;
CVE24 setDir 130.000000;
CVE24 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE24 lock true;};
CVE27 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14751.472656,11192.707031, 52.390079];
clearMagazineCargo CVE26;
CVE27 setDir 135.000000;
CVE27 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE27 lock true;};
CVE26 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14701.420898,11196.893555, 48.633526];
clearMagazineCargo CVE27;
CVE26 setDir 295.000000;
CVE26 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE26 lock true;};
CVE28 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14319.203125,10910.433594, 37.450298];
clearMagazineCargo CVE28;
CVE28 setDir 155.000000;
CVE28 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE28 lock true;};
CVE29 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13881.159180,10275.555664, 30.490875];
clearMagazineCargo CVE29;
CVE29 setDir 175.000000;
CVE29 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE29 lock true;};
CVE30 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13407.452148,10689.572266, 19.976477];
clearMagazineCargo CVE30;
CVE30 setDir 175.000000;
CVE30 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE30 lock true;};
CVE31 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13428.403320,11027.573242, 26.123159];
clearMagazineCargo CVE31;
CVE31 setDir 358.000000;
CVE31 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE31 lock true;};
CVE32 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13596.795898, 9752.609375, 24.763014];
clearMagazineCargo CVE32;
CVE32 setDir  50.000000;
CVE32 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE32 lock true;};
CVE33 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14170.010742, 9455.654297, 48.981308];
clearMagazineCargo CVE33;
CVE33 setDir 230.000000;
CVE33 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE33 lock true;};
CVE34 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14223.757813, 9320.912109, 48.465000];
clearMagazineCargo CVE34;
CVE34 setDir 358.000000;
CVE34 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE34 lock true;};
CVE35 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13678.546875, 9074.278320, 23.837921];
clearMagazineCargo CVE35;
CVE35 setDir  90.000000;
CVE35 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE35 lock true;};
CVE36 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13616.036133, 9098.803711, 20.773800];
clearMagazineCargo CVE36;
CVE36 setDir  40.000000;
CVE36 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE36 lock true;};
CVE37 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13557.828125, 9132.745117, 19.980000];
clearMagazineCargo CVE37;
CVE37 setDir 310.000000;
CVE37 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE37 lock true;};
CVE38 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13396.698242, 9029.199219, 19.072077];
clearMagazineCargo CVE38;
CVE38 setDir 140.000000;
CVE38 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE38 lock true;};
CVE39 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13306.492188, 9163.018555,  6.480000];
clearMagazineCargo CVE39;
CVE39 setDir  85.000000;
CVE39 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE39 lock true;};
CVE40 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13423.565430, 9256.366211, 19.979847];
clearMagazineCargo CVE40;
CVE40 setDir 270.000000;
CVE40 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE40 lock true;};
CVE41 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14669.031250,10745.886719, 43.965000];
clearMagazineCargo CVE41;
CVE41 setDir 285.000000;
CVE41 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE41 lock true;};
CVE42 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14389.095703,11120.175781, 45.253941];
clearMagazineCargo CVE42;
CVE42 setDir 230.000000;
CVE42 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE42 lock true;};
CVE43 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [13981.229492,12281.001953, 47.226639];
clearMagazineCargo CVE43;
CVE43 setDir 315.000000;
CVE43 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE43 lock true;};
CVE44 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14016.164063,12646.827148, 39.960247];
clearMagazineCargo CVE44;
CVE44 setDir 180.000000;
CVE44 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE44 lock true;};
CVE45 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [14030.607422,12821.466797, 56.709148];
clearMagazineCargo CVE45;
CVE45 setDir 358.000000;
CVE45 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE45 lock true;};
CVE46 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [11107.533203,16270.006836, 27.000000];
clearMagazineCargo CVE46;
CVE46 setDir 358.000000;
CVE46 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE46 lock true;};
CVE47 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12631.538086,15079.083984,180.000000];
clearMagazineCargo CVE47;
CVE47 setDir 125.000000;
CVE47 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE47 lock true;};
CVE48 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12575.333984,14945.820313,180.000000];
clearMagazineCargo CVE48;
CVE48 setDir 265.000000;
CVE48 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE48 lock true;};
CVE49 = format["%1", _civcarTypes select (round(random(_numberOfTypes-1)))] createVehicle [12265.737305,14906.970703,180.000000];
clearMagazineCargo CVE49;
CVE49 setDir 145.000000;
CVE49 setFuel (random(_maxFuel));
if ((random _chance) < 1) then { CVE49 lock true;};
exit