// Creates five moving and nine empty boats in the south of Sahrani
private ["_wp","_CB02","_CB04","_CB06","_CB08","_CB10","_numberOfTypes","_civillianTypes"];

activateAddons["cawater","cawheeled"];

// Civilian types that will be the coxswain and randomly fill the boats as passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
_numberOfTypes = 21;


_CB02 = createGroup Civilian;
CB02_1 = "Zodiac" createVehicle [8027.382324,9603.554688,-11.931739];
CB02_1 setDir 50.000000;
clearMagazineCargo CB02_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB02,"CB02_2 = this; this moveInDriver CB02_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB02,"CB02_3 = this; this moveInCargo [CB02_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB02,"CB02_4 = this; this moveInCargo [CB02_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB02,"CB02_5 = this; this moveInCargo [CB02_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB02,"CB02_6 = this; this moveInCargo [CB02_1,ceil(random(4))]",0.2,"private"];};
_wp = _CB02 addWaypoint [[8034.287598, 9608.563477,-11.519390], 50.000000]; [_CB02, 1] setWaypointStatements ["true", "CB02_1 setFuel 1.0; CB02_1 setDammage 0.0;"];
_wp = _CB02 addWaypoint [[8512.955078,10180.162109,  1.106337],100.000000]; [_CB02, 2] setWaypointSpeed "FULL"; [_CB02, 2] setWaypointStatements ["true", "CB02_1 setFuel 1.0; CB02_1 setDammage 0.0;"];
_wp = _CB02 addWaypoint [[8035.179688, 9615.076172,  1.246861], 50.000000]; [_CB02, 3] setWaypointType "CYCLE"; [_CB02, 3] setWaypointStatements ["true", "CB02_1 setFuel 1.0; CB02_1 setDammage 0.0;"];

_CB04 = createGroup Civilian;
CB04_1 = "Zodiac" createVehicle [6800.059570,8207.348633,-2.025000];
CB04_1 setDir 359.000000;
clearMagazineCargo CB04_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB04,"CB04_2 = this; this moveInDriver CB04_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB04,"CB04_3 = this; this moveInCargo [CB04_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB04,"CB04_4 = this; this moveInCargo [CB04_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB04,"CB04_5 = this; this moveInCargo [CB04_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB04,"CB04_6 = this; this moveInCargo [CB04_1,ceil(random(4))]",0.2,"private"];};
_wp = _CB04 addWaypoint [[ 6799.986328, 8217.875977, -2.025000],0]; [_CB04, 1] setWaypointSpeed "FULL";
_wp = _CB04 addWaypoint [[ 6671.364746, 8458.910156,-13.833289],100.000000]; [_CB04, 2] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 7185.461426, 8935.229492,  1.318906], 50.000000]; [_CB04, 3] setWaypointSpeed "FULL"; [_CB04, 3] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 7308.129883, 8921.124023,  0.003076], 40.000000]; [_CB04, 4] setWaypointSpeed "LIMITED"; [_CB04, 4] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 7268.379883, 9019.860352,  1.224384], 50.000000]; [_CB04, 5] setWaypointSpeed "FULL"; [_CB04, 5] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 7616.087891, 9498.604492,  1.210777],200.000000]; [_CB04, 6] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 6550.394043, 8408.679688,  1.242540],200.000000]; [_CB04, 7] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 6798.500977, 8312.468750, -2.025000],0]; [_CB04, 8] setWaypointSpeed "NORMAL"; [_CB04, 8] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];
_wp = _CB04 addWaypoint [[ 6799.739258, 8225.283203, -2.025000],0]; [_CB04, 9] setWaypointType "CYCLE"; [_CB04, 9] setWaypointSpeed "LIMITED"; [_CB04, 9] setWaypointStatements ["true", "CB04_1 setFuel 1.0; CB04_1 setDammage 0.0;"];


_CB06 = createGroup Civilian;
CB06_1 = "Zodiac" createVehicle [7447.427246,6293.970703,-0.000504];
CB06_1 setDir 325.000000;
clearMagazineCargo CB06_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB06,"CB06_2 = this; this moveInDriver CB06_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB06,"CB06_3 = this; this moveInCargo [CB06_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB06,"CB06_4 = this; this moveInCargo [CB06_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB06,"CB06_5 = this; this moveInCargo [CB06_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB06,"CB06_6 = this; this moveInCargo [CB06_1,ceil(random(4))]",0.2,"private"];};
_wp = _CB06 addWaypoint [[ 7419.412109, 6312.346191,  0.781820],0]; [_CB06, 1] setWaypointTimeout[30,60,45]; [_CB06, 1] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 7467.427246, 6191.714355,  0.614638],0]; [_CB06, 2] setWaypointSpeed "LIMITED"; [_CB06, 2] setWaypointTimeout[30,60,45]; [_CB06, 2] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 2854.471680, 3762.474365,-29.501591],0]; [_CB06, 3] setWaypointSpeed "FULL"; [_CB06, 3] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 2886.170654, 3120.260254,  0.423098],0]; [_CB06, 4] setWaypointSpeed "NORMAL";  [_CB06, 4] setWaypointTimeout[30,60,45]; [_CB06, 4] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 2901.827637, 3122.287598,  2.846619],0]; [_CB06, 5] setWaypointSpeed "LIMITED"; [_CB06, 5] setWaypointTimeout[30,60,45]; [_CB06, 5] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 2881.155273, 3744.575195,-28.793730],0]; [_CB06, 6] setWaypointSpeed "FULL"; [_CB06, 6] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];
_wp = _CB06 addWaypoint [[ 7424.480469, 6306.329102,  1.304832],0]; [_CB06, 7] setWaypointType  "CYCLE"; [_CB06, 7] setWaypointSpeed "FULL"; [_CB06, 7] setWaypointStatements ["true", "CB06_1 setFuel 1.0; CB06_1 setDammage 0.0;"];


_CB08 = createGroup Civilian;
CB08_1 = "Zodiac" createVehicle [10942.273438, 4709.677734,-14.298610];
CB08_1 setDir 325.000000;
clearMagazineCargo CB08_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB08,"CB08_2 = this; this moveInDriver CB08_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB08,"CB08_3 = this; this moveInCargo [CB08_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB08,"CB08_4 = this; this moveInCargo [CB08_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB08,"CB08_5 = this; this moveInCargo [CB08_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB08,"CB08_6 = this; this moveInCargo [CB08_1,ceil(random(4))]",0.2,"private"];};
_wp = _CB08 addWaypoint [[10925.243164, 4726.708008,-10.197500],0]; [_CB08,1] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10865.094727, 4781.784668,  0.454272],70.000000]; [_CB08, 2] setWaypointSpeed "FULL"; [_CB08,2] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10711.460938, 4800.263672, -3.368485],0]; [_CB08,3] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10620.875000, 4864.764648, -3.054693],0]; [_CB08,4] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10517.245117, 4913.317871, -2.849345],0]; [_CB08,5] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10378.467773, 4995.208984, -3.911300],0]; [_CB08,6] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10238.603516, 5066.953125, -2.569109],0]; [_CB08,7] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10149.104492, 5141.958008, -2.268404],0]; [_CB08,8] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10160.698242, 5264.431152, -5.470972],0]; [_CB08,9] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10051.633789, 5365.886230, -7.389441],0]; [_CB08,10] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10067.213867, 5422.774414, -6.240729],0]; [_CB08,11] setWaypointSpeed "LIMITED"; [_CB08,11] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10046.199219, 5377.481445, -6.692341],0]; [_CB08,12] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10154.175781, 5278.924805, -3.240563],0]; [_CB08,13] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10155.264648, 5155.731445, -2.364460],0]; [_CB08,14] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10224.834961, 5068.045898, -2.055065],0]; [_CB08,15] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10370.132813, 5024.926758, -4.369845],0]; [_CB08,16] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10508.880859, 4913.636719, -2.764249],0]; [_CB08,17] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10634.841797, 4865.513672, -5.062703],0]; [_CB08,18] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10724.078125, 4793.213867, -2.918101],0]; [_CB08,19] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10860.845703, 4770.461426, -7.893168],0]; [_CB08,20] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];
_wp = _CB08 addWaypoint [[10929.922852, 4731.903320,  0.365213],0]; [_CB08,21] setWaypointType  "CYCLE"; [_CB08,21] setWaypointStatements ["true", "CB08_1 setFuel 1.0; CB08_1 setDammage 0.0;"];


_CB10 = createGroup Civilian;
CB10_1 = "Zodiac" createVehicle [11070.779297, 6471.749023, -4.792758];
CB10_1 setDir 155.000000;
clearMagazineCargo CB10_1;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB10,"CB10_2 = this; this moveInDriver CB10_1",0.9,"corporal"];
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB10,"CB10_3 = this; this moveInCargo [CB10_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB10,"CB10_4 = this; this moveInCargo [CB10_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB10,"CB10_5 = this; this moveInCargo [CB10_1,ceil(random(4))]",0.2,"private"];};
if (random(10) < 7) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit [[0,0,30],_CB10,"CB10_6 = this; this moveInCargo [CB10_1,ceil(random(4))]",0.2,"private"];};
_wp = _CB10 addWaypoint [[11085.321289, 6444.222656, -4.829669],0]; [_CB10,1] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"]; [_CB10, 1] setWaypointSpeed "NORMAL";
_wp = _CB10 addWaypoint [[11148.681641, 6346.064453, -2.719204],0]; [_CB10,2] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11272.807617, 6329.964844, -3.768949],0]; [_CB10,3] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11376.160156, 6193.892578, -6.143522],0]; [_CB10,4] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11387.065430, 6094.177246, -3.921757],0]; [_CB10,5] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11349.152344, 6019.909668, -3.393710],0]; [_CB10,6] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11456.140625, 5963.818359, -2.726090],0]; [_CB10,7] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11642.586914, 6007.963867, -1.420994],0]; [_CB10,8] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11710.623047, 6063.535156, -4.518638],0]; [_CB10,9] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11663.359375, 6246.867676, -1.403426],0]; [_CB10,10] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11643.104492, 6342.430664, -5.722011],0]; [_CB10,11] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11527.807617, 6433.317871, -3.568233],0]; [_CB10,12] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11544.946289, 6447.860352, -2.907801],0]; [_CB10,13] setWaypointSpeed "LIMITED"; [_CB10,13] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11499.243164, 6570.427246, -4.191696],0]; [_CB10,14] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11556.892578, 6426.045898, -3.826673],0]; [_CB10,15] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11646.739258, 6321.136719, -1.170713],0]; [_CB10,16] setWaypointSpeed "NORMAL"; [_CB10,16] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11719.968750, 6085.347656, -4.662381],0]; [_CB10,17] setWaypointSpeed "NORMAL"; [_CB10,17] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11921.479492, 6008.483887, -7.800337],0]; [_CB10,18] setWaypointSpeed "FULL"; [_CB10,18] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[12078.843750, 5870.854492, -4.309687],0]; [_CB10,19] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11771.386719, 6062.496094, -2.586706],0]; [_CB10,20] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11694.001953, 6049.512695, -3.617941],0]; [_CB10,21] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11605.711914, 5995.499023, -1.579274],0]; [_CB10,22] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11443.623047, 5964.431152, -1.696350],0]; [_CB10,23] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11409.230469, 5966.899414, -2.554300],0]; [_CB10,24] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11351.909180, 6012.226563, -2.291836],0]; [_CB10,25] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11380.834961, 6092.123047, -6.964975],0]; [_CB10,26] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11382.775391, 6189.301758, -5.362910],0]; [_CB10,27] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11278.894531, 6327.224121, -3.073612],0]; [_CB10,28] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11156.493164, 6342.744141, -2.888734],0]; [_CB10,29] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];
_wp = _CB10 addWaypoint [[11092.470703, 6442.215820, -5.125998],0]; [_CB10,30] setWaypointType  "CYCLE"; [_CB10,30] setWaypointStatements ["true", "CB10_1 setFuel 1.0; CB10_1 setDammage 0.0;"];

// Nine empty zodiacs, can be found at some quay or jetty
CBE02 = "Zodiac" createVehicle [  2920.500488, 3111.754150,0.285807]; clearMagazineCargo CBE02; CBE02 setDir 325.000000;
CBE04 = "Zodiac" createVehicle [ 13505.607422, 6831.735840,3.399404]; clearMagazineCargo CBE04; CBE04 setDir 325.000000;
CBE06 = "Zodiac" createVehicle [  6783.812500, 8152.268066,3.662073]; clearMagazineCargo CBE06; CBE06 setDir 340.000000;
CBE08 = "Zodiac" createVehicle [  9548.003906, 3525.516113,6.713452]; clearMagazineCargo CBE08;
CBE10 = "Zodiac" createVehicle [  9775.417969,11161.342773,3.148327]; clearMagazineCargo CBE10;
CBE12 = "Zodiac" createVehicle [ 12604.304688,10761.769531,2.789394]; clearMagazineCargo CBE12;
CBE14 = "Zodiac" createVehicle [ 12969.164063, 9071.017578,4.009821]; clearMagazineCargo CBE14; CBE14 setDir 275.000000;
CBE16 = "Zodiac" createVehicle [  7467.651855, 6191.672363,3.076591]; clearMagazineCargo CBE16;
CBE18 = "Zodiac" createVehicle [ 11372.733398, 5207.510742,2.934744]; clearMagazineCargo CBE18;

